import nock from "nock";

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/properties/v1/contacts/properties", {})
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(
    200,
    [
      {
        name: "company_size",
        label: "Company size",
        description:
          "A contact's company size. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "date_of_birth",
        label: "Date of birth",
        description:
          "A contact's date of birth. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "days_to_close",
        label: "Days To Close",
        description:
          "The days that elapsed from when a contact was created until they closed as a customer. This is set automatically by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "degree",
        label: "Degree",
        description:
          "A contact's degree. This property is required for the Facebook Ads Integration. This property will be automatically synced to via Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "field_of_study",
        label: "Field of study",
        description:
          "A contact's field of study. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "first_conversion_date",
        label: "First Conversion Date",
        description: "The date this contact first submitted a form",
        groupName: "conversioninformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "first_conversion_event_name",
        label: "First Conversion",
        description: "The first form this contact submitted",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "first_deal_created_date",
        label: "First Deal Created Date",
        description:
          "The date the first deal for a contact was created. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "gender",
        label: "Gender",
        description: "",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "graduation_date",
        label: "Graduation date",
        description:
          "A contact's graduation date. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_additional_emails",
        label: "Additional email addresses",
        description: "A set of additional email addresses for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_all_contact_vids",
        label: "All vids for a contact",
        description: "A set of all vids, canonical or otherwise, for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_first_touch_converting_campaign",
        label: "First Touch Converting Campaign",
        description:
          "The campaign responsible for the first touch creation of this contact",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_last_touch_converting_campaign",
        label: "Last Touch Converting Campaign",
        description:
          "The campaign responsible for the last touch creation of this contact",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_avatar_filemanager_key",
        label: "Avatar FileManager key",
        description:
          "The path in the FileManager CDN for this contact's avatar override image. Automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_buying_role",
        label: "Buying Role",
        description:
          "The role that a contact plays during the sales process. Contacts can have more than one role, and they can share the same role with another contact.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Blocker",
            description: null,
            hidden: false,
            value: "BLOCKER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Budget Holder",
            description: null,
            hidden: false,
            value: "BUDGET_HOLDER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Champion",
            description: null,
            hidden: false,
            value: "CHAMPION",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Decision Maker",
            description: null,
            hidden: false,
            value: "DECISION_MAKER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "End User",
            description: null,
            hidden: false,
            value: "END_USER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Executive Sponsor",
            description: null,
            hidden: false,
            value: "EXECUTIVE_SPONSOR",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Influencer",
            description: null,
            hidden: false,
            value: "INFLUENCER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Legal & Compliance",
            description: null,
            hidden: false,
            value: "LEGAL_AND_COMPLIANCE",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Other",
            description: null,
            hidden: false,
            value: "OTHER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_form_submissions",
        label: "All form submissions for a contact",
        description: "A set of all form submissions for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_merged_vids",
        label: "Merged vids with timestamps of a contact",
        description: "Merged vids with timestamps of a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_mobile_number",
        label: "Calculated Mobile Number in International Format",
        description: "Mobile number in international format",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_phone_number",
        label: "Calculated Phone Number in International Format",
        description: "Phone number in international format",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_phone_number_area_code",
        label: "Calculated Phone Number Area Code",
        description: "Area Code of the calculated phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_phone_number_country_code",
        label: "Calculated Phone Number Country Code",
        description: "Country code of the calculated phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_calculated_phone_number_region_code",
        label: "Calculated Phone Number Region",
        description: "ISO2 Country code for the derived phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_email_confirmed",
        label: "Email Confirmed",
        description: "Email Confirmation status of user of Content Membership",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_notes",
        label: "Membership Notes",
        description: "The notes relating to the contact's content membership.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "textarea",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_registered_at",
        label: "Registered At",
        description:
          "Datetime at which this user was set up for Content Membership",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_registration_domain_sent_to",
        label: "Domain to which registration email was sent",
        description:
          "Domain to which the registration invitation email for Content Membership was sent to",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_registration_email_sent_at",
        label: "Time registration email was sent",
        description:
          "Datetime at which this user was sent a registration invitation email for Content Membership",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_content_membership_status",
        label: "Status",
        description: "The status of the contact's content membership.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Active",
            description: null,
            hidden: false,
            value: "active",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Inactive",
            description: null,
            hidden: false,
            value: "inactive",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_conversations_visitor_email",
        label: "Conversations visitor email",
        description: "A Conversations visitor's email address",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_created_by_conversations",
        label: "Created By Conversations",
        description:
          "Flag indicating this contact was created by the Conversations API",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_created_by_user_id",
        label: "Created by user ID",
        description:
          "The user that created this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_createdate",
        label: "Object create date/time",
        description:
          "The date and time at which this object was created. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_document_last_revisited",
        label: "Recent Document Revisit Date",
        description:
          "The last time a shared document (presentation) was accessed by this contact",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_bad_address",
        label: "Invalid email address",
        description:
          "The email address associated with this contact is invalid.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_domain",
        label: "Email Domain",
        description: "A contact's email address domain",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_hard_bounce_reason",
        label: "Email hard bounce reason",
        description:
          "The issue that caused a contact to hard bounce from your emails. If this is an error or a temporary issue, you can unbounce this contact from the contact record.",
        groupName: "emailinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "Content",
            description:
              "Content in the body or subject of an email triggered a spam filter",
            hidden: false,
            value: "CONTENT",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Mailbox full",
            description: "The recipient's inbox is full or no longer in use",
            hidden: false,
            value: "MAILBOX_FULL",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Other",
            description: "An unknown reason caused the contact to hard bounce",
            hidden: false,
            value: "OTHER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Policy",
            description: "An email violated the recipient’s security policy",
            hidden: false,
            value: "POLICY",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Spam",
            description:
              "An email was marked as spam by the recipient or their inbox provider",
            hidden: false,
            value: "SPAM",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Unknown user",
            description: "A permanent error, such as an unknown email address",
            hidden: false,
            value: "UNKNOWN_USER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_hard_bounce_reason_enum",
        label: "Email hard bounce reason",
        description:
          "The issue that caused a contact to hard bounce from your emails. If this is an error or a temporary issue, you can unbounce this contact from the contact record.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "radio",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Content",
            description:
              "Content in the body or subject of an email triggered a spam filter",
            hidden: false,
            value: "CONTENT",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Mailbox full",
            description: "The recipient's inbox is full or no longer in use",
            hidden: false,
            value: "MAILBOX_FULL",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Other",
            description: "An unknown reason caused the contact to hard bounce",
            hidden: false,
            value: "OTHER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Policy",
            description: "An email violated the recipient’s security policy",
            hidden: false,
            value: "POLICY",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Spam",
            description:
              "An email was marked as spam by the recipient or their inbox provider",
            hidden: false,
            value: "SPAM",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Unknown user",
            description: "A permanent error, such as an unknown email address",
            hidden: false,
            value: "UNKNOWN_USER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_quarantined",
        label: "Email Address Quarantined",
        description:
          "Indicates that the current email address has been quarantined for anti-abuse reasons and any marketing email sends to it will be blocked. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_quarantined_reason",
        label: "Email Address Quarantined Reason",
        description:
          "The reason why the email address has been quarantined. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "checkbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Other",
            description: null,
            hidden: false,
            value: "OTHER",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
          {
            label: "Suspicious Form Activity",
            description: null,
            hidden: false,
            value: "FORM_ABUSE",
            readOnly: true,
            doubleData: null,
            displayOrder: -1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_recipient_fatigue_recovery_time",
        label: "Email Address Recipient Fatigue Next Available Sending Time",
        description:
          "When this recipient has reached the limit of email sends per time period, this property indicates the next available time to send. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_sends_since_last_engagement",
        label: "Sends Since Last Engagement",
        description:
          "The number of marketing emails that have been sent to the current email address since the last engagement (open or link click). This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_emailconfirmationstatus",
        label: "Marketing email confirmation status",
        description:
          "The status of a contact's eligibility to receive marketing email. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "",
            description: null,
            hidden: false,
            value: "",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Confirmed",
            description: null,
            hidden: false,
            value: "Confirmed",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Confirmation Pending",
            description: null,
            hidden: false,
            value: "Confirmation Pending",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Confirmation Email Sent",
            description: null,
            hidden: false,
            value: "Confirmation Email Sent",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "User clicked confirmation",
            description: null,
            hidden: false,
            value: "User clicked confirmation",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
          {
            label: "HubSpot Rep. marked confirmed",
            description: null,
            hidden: false,
            value: "HubSpot Rep. marked confirmed",
            readOnly: null,
            doubleData: null,
            displayOrder: 7,
          },
          {
            label: "Customer marked confirmed",
            description: null,
            hidden: false,
            value: "Customer marked confirmed",
            readOnly: null,
            doubleData: null,
            displayOrder: 8,
          },
          {
            label: "Confirmed from previous behavior",
            description: null,
            hidden: false,
            value: "Confirmed from previous behavior",
            readOnly: null,
            doubleData: null,
            displayOrder: 9,
          },
          {
            label: "Confirmed due to form",
            description: null,
            hidden: false,
            value: "Confirmed due to form",
            readOnly: null,
            doubleData: null,
            displayOrder: 11,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_facebook_ad_clicked",
        label: "Clicked Facebook ad",
        description: "Whether contact has clicked a Facebook ad",
        groupName: "conversioninformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_facebook_click_id",
        label: "Facebook click id",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_feedback_last_nps_follow_up",
        label: "Last NPS survey comment",
        description: "Last NPS survey comment that this contact gave",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_feedback_last_nps_rating",
        label: "Last NPS survey rating",
        description: "Last NPS survey rating that this contact gave",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "0",
            description: null,
            hidden: false,
            value: "0",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "1",
            description: null,
            hidden: false,
            value: "1",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "2",
            description: null,
            hidden: false,
            value: "2",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "3",
            description: null,
            hidden: false,
            value: "3",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "4",
            description: null,
            hidden: false,
            value: "4",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "5",
            description: null,
            hidden: false,
            value: "5",
            readOnly: null,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "6",
            description: null,
            hidden: false,
            value: "6",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
          {
            label: "7",
            description: null,
            hidden: false,
            value: "7",
            readOnly: null,
            doubleData: null,
            displayOrder: 7,
          },
          {
            label: "8",
            description: null,
            hidden: false,
            value: "8",
            readOnly: null,
            doubleData: null,
            displayOrder: 8,
          },
          {
            label: "9",
            description: null,
            hidden: false,
            value: "9",
            readOnly: null,
            doubleData: null,
            displayOrder: 9,
          },
          {
            label: "10",
            description: null,
            hidden: false,
            value: "10",
            readOnly: null,
            doubleData: null,
            displayOrder: 10,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_feedback_last_survey_date",
        label: "Last NPS survey date",
        description:
          "The time that this contact last submitted a NPS survey response. This is automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_feedback_show_nps_web_survey",
        label: "Should be shown an NPS web survey",
        description:
          "Whether or not a contact should be shown an NPS web survey. This is automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_first_engagement_date",
        label: "The first time the contact was engaged.",
        description:
          "Hubspot sets this automatically based on the earliest engagement of the contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_google_click_id",
        label: "Google ad click id",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_ip_timezone",
        label: "IP Timezone",
        description:
          "The timezone reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_is_contact",
        label: "Is a contact",
        description: "Is a contact, has not been deleted and is not a visitor",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "calculation_read_time",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_is_unworked",
        label: "Contact unworked",
        description:
          "Contact has not been assigned or has not been engaged after last owner assignment/re-assignment",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "calculation_equation",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_last_sales_activity_date",
        label: "Last Sales Activity Date",
        description:
          "The date of the last sales activity with the contact. This property is set automatically by HubSpot. Note: This field is only updated for contacts with an owner.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_last_sales_activity_timestamp",
        label: "Last Sales Activity Date",
        description: "The date of the last sales activity with the contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lastmodifieddate",
        label: "Object last modified date/time",
        description:
          "The date and time at which this object was last modified. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lead_status",
        label: "Lead Status",
        description: "The contact's sales, prospecting or outreach status",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "New",
            description: null,
            hidden: false,
            value: "NEW",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "Open",
            description: null,
            hidden: false,
            value: "OPEN",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "In Progress",
            description: null,
            hidden: false,
            value: "IN_PROGRESS",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Open Deal",
            description: null,
            hidden: false,
            value: "OPEN_DEAL",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Unqualified",
            description: null,
            hidden: false,
            value: "UNQUALIFIED",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Attempted to Contact",
            description: null,
            hidden: false,
            value: "ATTEMPTED_TO_CONTACT",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "Connected",
            description: null,
            hidden: false,
            value: "CONNECTED",
            readOnly: null,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "Bad Timing",
            description: null,
            hidden: false,
            value: "BAD_TIMING",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_legal_basis",
        label: "Legal basis for processing contact's data",
        description:
          "Legal basis for processing contact's data; 'Not applicable' will exempt the contact from GDPR protections",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Legitimate interest - prospect/lead",
            description: null,
            hidden: false,
            value: "Legitimate interest – prospect/lead",
            readOnly: true,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "Legitimate interest - existing customer",
            description: null,
            hidden: false,
            value: "Legitimate interest – existing customer",
            readOnly: true,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Legitimate interest - other",
            description: null,
            hidden: false,
            value: "Legitimate interest - other",
            readOnly: true,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Performance of a contract",
            description: null,
            hidden: false,
            value: "Performance of a contract",
            readOnly: true,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Freely given consent from contact",
            description: null,
            hidden: false,
            value: "Freely given consent from contact",
            readOnly: true,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "Not applicable",
            description: null,
            hidden: false,
            value: "Not applicable",
            readOnly: true,
            doubleData: null,
            displayOrder: 5,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_merged_object_ids",
        label: "Merged object IDs",
        description:
          "The list of object IDs that have been merged into this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_object_id",
        label: "Contact ID",
        description:
          "The unique ID for this contact. This unique ID is automatically populated by HubSpot and cannot be changed.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_predictivecontactscore_v2",
        label: "Likelihood to close",
        description:
          "The probability that a contact will become a customer within the next 90 days. This score is based on standard contact properties and behavior.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_predictivescoringtier",
        label: "Contact priority",
        description:
          "A ranking system of contacts evenly assigned into four tiers. Contacts in tier one are more likely to become customers than contacts in tier four.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Very High",
            description: null,
            hidden: false,
            value: "tier_1",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "High",
            description: null,
            hidden: false,
            value: "tier_2",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Medium",
            description: null,
            hidden: false,
            value: "tier_3",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Low",
            description: null,
            hidden: false,
            value: "tier_4",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Closed Won",
            description: null,
            hidden: false,
            value: "closed_won",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_sales_email_last_clicked",
        label: "Recent Sales Email Clicked Date",
        description:
          "The last time a tracked sales email was clicked by this user",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_sales_email_last_opened",
        label: "Recent Sales Email Opened Date",
        description:
          "The last time a tracked sales email was opened by this contact. This property does not update for emails that were sent to more than one contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_searchable_calculated_international_mobile_number",
        label: "Calculated Mobile Number with country code",
        description: "Mobile number with country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_searchable_calculated_international_phone_number",
        label: "Calculated Phone Number with country code",
        description: "Phone number with country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_searchable_calculated_mobile_number",
        label: "Calculated Mobile Number without country code",
        description: "Mobile number without country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_searchable_calculated_phone_number",
        label: "Calculated Phone Number without country code",
        description: "Phone number without country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_sequences_is_enrolled",
        label: "Currently in Sequence",
        description:
          "A yes/no field that indicates whether the contact is currently in a Sequence.",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_time_to_first_engagement",
        label: "Time to engage contact",
        description:
          "Time it took current owner to do first qualifying engagement (ms).",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: false,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: false,
        hubspotDefined: true,
      },
      {
        name: "hs_updated_by_user_id",
        label: "Updated by user ID",
        description:
          "The user that last updated this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_user_ids_of_all_owners",
        label: "User IDs of all owners",
        description: "The user IDs of all owners of this object",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hubspot_owner_assigneddate",
        label: "Owner Assigned Date",
        description:
          "The most recent date a HubSpot Owner was assigned to a contact. This is set automatically by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_city",
        label: "IP City",
        description:
          "The city reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_country",
        label: "IP Country",
        description:
          "The country reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_country_code",
        label: "IP Country Code",
        description:
          "The country code reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_latlon",
        label: "IP Latitude & Longitude",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_state",
        label: "IP State/Region",
        description:
          "The state or region reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_state_code",
        label: "IP State Code/Region Code",
        description:
          "The state code or region code reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "ip_zipcode",
        label: "IP Zipcode",
        description:
          "The zipcode reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "job_function",
        label: "Job function",
        description:
          "A contact's job function. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "lastmodifieddate",
        label: "Last Modified Date",
        description: "The date any property on this contact was modified",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "marital_status",
        label: "Marital Status",
        description:
          "A contact's marital status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "military_status",
        label: "Military status",
        description:
          "A contact's military status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "num_associated_deals",
        label: "Associated Deals",
        description:
          "The number of deals associated with this contact. This is set automatically by HubSpot.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "num_conversion_events",
        label: "Number of Form Submissions",
        description: "The number of forms this contact has submitted",
        groupName: "conversioninformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "num_unique_conversion_events",
        label: "Number of Unique Forms Submitted",
        description: "The number of different forms this contact has submitted",
        groupName: "conversioninformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "recent_conversion_date",
        label: "Recent Conversion Date",
        description: "The date this contact last submitted a form",
        groupName: "conversioninformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "recent_conversion_event_name",
        label: "Recent Conversion",
        description: "The last form this contact submitted",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "recent_deal_amount",
        label: "Recent Deal Amount",
        description:
          "The amount of the last closed won deal associated with a contact. This is set automatically by HubSpot based on information from the Deals object.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "currency",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: true,
        hubspotDefined: true,
      },
      {
        name: "recent_deal_close_date",
        label: "Recent Deal Close Date",
        description:
          "The date that the last deal associated with a contact was won. This is automatically set by HubSpot based on information from the Deals object.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "relationship_status",
        label: "Relationship Status",
        description:
          "A contact's relationship status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "school",
        label: "School",
        description:
          "A contact's school. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "seniority",
        label: "Seniority",
        description:
          "A contact's seniority. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "start_date",
        label: "Start date",
        description:
          "A contact's start date. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "total_revenue",
        label: "Total Revenue",
        description:
          "The sum from all closed won deal revenue associated with a contact. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "currency",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: true,
        hubspotDefined: true,
      },
      {
        name: "work_email",
        label: "Work email",
        description:
          "A contact's work email. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "firstname",
        label: "First Name",
        description: "A contact's first name",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 0,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_first_url",
        label: "First Page Seen",
        description:
          "The first page a contact saw on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_delivered",
        label: "Marketing emails delivered",
        description:
          "The number of marketing emails delivered for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_optout_9714480",
        label: "Opted out of email: Customer Service Communication",
        description:
          "Indicates that the current email address has opted out of this email type.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "No",
            description: "",
            hidden: false,
            value: "false",
            readOnly: false,
            doubleData: 0,
            displayOrder: -1,
          },
          {
            label: "Yes",
            description: "",
            hidden: false,
            value: "true",
            readOnly: false,
            doubleData: 0,
            displayOrder: -1,
          },
        ],
        createdAt: 1593022576761,
        updatedAt: 1593022576761,
        displayOrder: 0,
        deleted: false,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "twitterhandle",
        label: "Twitter Username",
        description:
          "The contact's Twitter handle. This is set by HubSpot using the contact's email address.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 7,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "currentlyinworkflow",
        label: "Currently in workflow",
        description: "If the contact is currently enrolled in any workflow",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_last_url",
        label: "Last Page Seen",
        description:
          "The last page a contact saw on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_open",
        label: "Marketing emails opened",
        description:
          "The number of marketing emails opened for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "lastname",
        label: "Last Name",
        description: "A contact's last name",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_num_page_views",
        label: "Number of Pageviews",
        description:
          "The sum of all pages a contact has seen on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_click",
        label: "Marketing emails clicked",
        description:
          "The number of marketing emails which have had link clicks for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "salutation",
        label: "Salutation",
        description: "The title used to address a contact",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "email",
        label: "Email",
        description: "A contact's email address",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "email",
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 2,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_num_visits",
        label: "Number of Sessions",
        description:
          "The sum of all sessions a contact has made to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_bounce",
        label: "Marketing emails bounced",
        description:
          "The number of marketing emails that bounced for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_persona",
        label: "Persona",
        description: "A contact's persona",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_num_event_completions",
        label: "Number of event completions",
        description:
          "The sum of all events a contact has experienced. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_optout",
        label: "Unsubscribed from all email",
        description:
          "Indicates that the current email address has opted out of all email.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "mobilephone",
        label: "Mobile Phone Number",
        description: "A contact's mobile phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 3,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "phone",
        label: "Phone Number",
        description: "A contact's primary phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 3,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "fax",
        label: "Fax Number",
        description: "A contact's primary fax number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_first_timestamp",
        label: "Time First Seen",
        description:
          "The first time a contact has been seen. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_last_email_name",
        label: "Last marketing email name",
        description:
          "The name of the last marketing email sent to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_last_send_date",
        label: "Last marketing email send date",
        description:
          "The date of the most recent delivery for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "address",
        label: "Street Address",
        description:
          "A contact's street address, including apartment or unit #",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "engagements_last_meeting_booked",
        label: "Date of last meeting booked in meetings tool",
        description:
          "The date of the most recent meeting a contact has booked through the meetings tool.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "engagements_last_meeting_booked_campaign",
        label: "Campaign of last booking in meetings tool",
        description:
          "This UTM parameter shows which marketing campaign (e.g. a specific email) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "engagements_last_meeting_booked_medium",
        label: "Medium of last booking in meetings tool",
        description:
          "This UTM parameter shows which channel (e.g. email) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "engagements_last_meeting_booked_source",
        label: "Source of last booking in meetings tool",
        description:
          "This UTM parameter shows which site (e.g. Twitter) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_first_visit_timestamp",
        label: "Time of First Session",
        description:
          "The first time a contact visited your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_last_open_date",
        label: "Last marketing email open date",
        description:
          "The date of the most recent open for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_latest_meeting_activity",
        label: "Latest meeting activity",
        description:
          "The date of the most recent meeting (past or upcoming) logged for, scheduled with, or booked by this contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_sales_email_last_replied",
        label: "Recent Sales Email Replied Date",
        description:
          "The last time a tracked sales email was replied to by this user. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hubspot_owner_id",
        label: "Contact owner",
        description:
          "The owner of a contact. This can be any HubSpot user or Salesforce integration user, and can be set manually or via Workflows.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: "OWNER",
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "notes_last_contacted",
        label: "Last Contacted",
        description:
          "The last time a call, email, or meeting was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "notes_last_updated",
        label: "Last Activity Date",
        description:
          "The last time a note, call, email, meeting, or task was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "notes_next_activity_date",
        label: "Next Activity Date",
        description:
          "The date of the next upcoming activity for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "num_contacted_notes",
        label: "Number of times contacted",
        description:
          "The number of times a call, email, or meeting was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "num_notes",
        label: "Number of Sales Activities",
        description:
          "The number of sales activities for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "surveymonkeyeventlastupdated",
        label: "SurveyMonkey Event Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when SurveyMonkey information is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "webinareventlastupdated",
        label: "Webinar Event Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when webinar information is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "city",
        label: "City",
        description: "A contact's city of residence",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_last_timestamp",
        label: "Time Last Seen",
        description:
          "The last time and date a contact has viewed a page on your website.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_last_click_date",
        label: "Last marketing email click date",
        description:
          "The date of the most recent link click for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hubspot_team_id",
        label: "HubSpot Team",
        description: "The team of the owner of a contact.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_all_owner_ids",
        label: "All owner ids",
        description:
          "The value of all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_last_visit_timestamp",
        label: "Time of Last Session",
        description: "The last time and date a contact visited your website.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_first_send_date",
        label: "First marketing email send date",
        description:
          "The date of the earliest delivery for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "state",
        label: "State/Region",
        description:
          "The contact's state of residence. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_all_team_ids",
        label: "All team ids",
        description:
          "The team ids corresponding to all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_source",
        label: "Original Source",
        description:
          "The first known source through which a contact found your website. Source is automatically set by HubSpot, but may be updated manually.",
        groupName: "analyticsinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Organic Search",
            description: null,
            hidden: false,
            value: "ORGANIC_SEARCH",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "Paid Search",
            description: null,
            hidden: false,
            value: "PAID_SEARCH",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Email Marketing",
            description: null,
            hidden: false,
            value: "EMAIL_MARKETING",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Social Media",
            description: null,
            hidden: false,
            value: "SOCIAL_MEDIA",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Referrals",
            description: null,
            hidden: false,
            value: "REFERRALS",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "Other Campaigns",
            description: null,
            hidden: false,
            value: "OTHER_CAMPAIGNS",
            readOnly: null,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "Direct Traffic",
            description: null,
            hidden: false,
            value: "DIRECT_TRAFFIC",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
          {
            label: "Offline Sources",
            description: null,
            hidden: false,
            value: "OFFLINE",
            readOnly: null,
            doubleData: null,
            displayOrder: 7,
          },
          {
            label: "Paid Social",
            description: null,
            hidden: false,
            value: "PAID_SOCIAL",
            readOnly: null,
            doubleData: null,
            displayOrder: 8,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_first_open_date",
        label: "First marketing email open date",
        description:
          "The date of the earliest open for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "zip",
        label: "Postal Code",
        description:
          "The contact's zip code. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "country",
        label: "Country/Region",
        description:
          "The contact's country/region of residence. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_all_accessible_team_ids",
        label: "All accessible team ids",
        description:
          "The team ids, including up the team hierarchy, corresponding to all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_source_data_1",
        label: "Original Source Drill-Down 1",
        description:
          "Additional information about the source through which a contact first found your website. This property is automatically set by HubSpot.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_first_click_date",
        label: "First marketing email click date",
        description:
          "The date of the earliest link click for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_source_data_2",
        label: "Original Source Drill-Down 2",
        description:
          "Additional information about the source through which a contact first found your website. This property is automatically set by HubSpot.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_email_is_ineligible",
        label: "Is globally ineligible",
        description: "Indicates the contact is globally ineligible for email.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            label: "True",
            description: null,
            hidden: false,
            value: "true",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "False",
            description: null,
            hidden: false,
            value: "false",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_language",
        label: "Preferred language",
        description:
          "Set your contact's preferred language for communications. This property can be changed from an import, form, or integration.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Afrikaans",
            description: null,
            hidden: false,
            value: "af",
            readOnly: true,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "Albanian",
            description: null,
            hidden: false,
            value: "sq",
            readOnly: true,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Albanian - Albania",
            description: null,
            hidden: false,
            value: "sq-al",
            readOnly: true,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Arabic",
            description: null,
            hidden: false,
            value: "ar",
            readOnly: true,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Arabic - Algeria",
            description: null,
            hidden: false,
            value: "ar-dz",
            readOnly: true,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "Arabic - Bahrain",
            description: null,
            hidden: false,
            value: "ar-bh",
            readOnly: true,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "Arabic - Egypt",
            description: null,
            hidden: false,
            value: "ar-eg",
            readOnly: true,
            doubleData: null,
            displayOrder: 6,
          },
          {
            label: "Arabic - Iraq",
            description: null,
            hidden: false,
            value: "ar-iq",
            readOnly: true,
            doubleData: null,
            displayOrder: 7,
          },
          {
            label: "Arabic - Jordan",
            description: null,
            hidden: false,
            value: "ar-jo",
            readOnly: true,
            doubleData: null,
            displayOrder: 8,
          },
          {
            label: "Arabic - Kuwait",
            description: null,
            hidden: false,
            value: "ar-kw",
            readOnly: true,
            doubleData: null,
            displayOrder: 9,
          },
          {
            label: "Arabic - Lebanon",
            description: null,
            hidden: false,
            value: "ar-lb",
            readOnly: true,
            doubleData: null,
            displayOrder: 10,
          },
          {
            label: "Arabic - Libya",
            description: null,
            hidden: false,
            value: "ar-ly",
            readOnly: true,
            doubleData: null,
            displayOrder: 11,
          },
          {
            label: "Arabic - Morocco",
            description: null,
            hidden: false,
            value: "ar-ma",
            readOnly: true,
            doubleData: null,
            displayOrder: 12,
          },
          {
            label: "Arabic - Oman",
            description: null,
            hidden: false,
            value: "ar-om",
            readOnly: true,
            doubleData: null,
            displayOrder: 13,
          },
          {
            label: "Arabic - Qatar",
            description: null,
            hidden: false,
            value: "ar-qa",
            readOnly: true,
            doubleData: null,
            displayOrder: 14,
          },
          {
            label: "Arabic - Saudi Arabia",
            description: null,
            hidden: false,
            value: "ar-sa",
            readOnly: true,
            doubleData: null,
            displayOrder: 15,
          },
          {
            label: "Arabic - Sudan",
            description: null,
            hidden: false,
            value: "ar-sd",
            readOnly: true,
            doubleData: null,
            displayOrder: 16,
          },
          {
            label: "Arabic - Syria",
            description: null,
            hidden: false,
            value: "ar-sy",
            readOnly: true,
            doubleData: null,
            displayOrder: 17,
          },
          {
            label: "Arabic - Tunisia",
            description: null,
            hidden: false,
            value: "ar-tn",
            readOnly: true,
            doubleData: null,
            displayOrder: 18,
          },
          {
            label: "Arabic - United Arab Emirates",
            description: null,
            hidden: false,
            value: "ar-ae",
            readOnly: true,
            doubleData: null,
            displayOrder: 19,
          },
          {
            label: "Arabic - Yemen",
            description: null,
            hidden: false,
            value: "ar-ye",
            readOnly: true,
            doubleData: null,
            displayOrder: 20,
          },
          {
            label: "Armenian",
            description: null,
            hidden: false,
            value: "hy",
            readOnly: true,
            doubleData: null,
            displayOrder: 21,
          },
          {
            label: "Basque",
            description: null,
            hidden: false,
            value: "eu",
            readOnly: true,
            doubleData: null,
            displayOrder: 22,
          },
          {
            label: "Belarusian",
            description: null,
            hidden: false,
            value: "be",
            readOnly: true,
            doubleData: null,
            displayOrder: 23,
          },
          {
            label: "Belarusian - Belarus",
            description: null,
            hidden: false,
            value: "be-by",
            readOnly: true,
            doubleData: null,
            displayOrder: 24,
          },
          {
            label: "Bulgarian",
            description: null,
            hidden: false,
            value: "bg",
            readOnly: true,
            doubleData: null,
            displayOrder: 25,
          },
          {
            label: "Bulgarian - Bulgaria",
            description: null,
            hidden: false,
            value: "bg-bg",
            readOnly: true,
            doubleData: null,
            displayOrder: 26,
          },
          {
            label: "Catalan",
            description: null,
            hidden: false,
            value: "ca",
            readOnly: true,
            doubleData: null,
            displayOrder: 27,
          },
          {
            label: "Catalan - Catalan",
            description: null,
            hidden: false,
            value: "ca-es",
            readOnly: true,
            doubleData: null,
            displayOrder: 28,
          },
          {
            label: "Chinese",
            description: null,
            hidden: false,
            value: "zh",
            readOnly: true,
            doubleData: null,
            displayOrder: 29,
          },
          {
            label: "Chinese - China",
            description: null,
            hidden: false,
            value: "zh-cn",
            readOnly: true,
            doubleData: null,
            displayOrder: 30,
          },
          {
            label: "Chinese - Hong Kong SAR",
            description: null,
            hidden: false,
            value: "zh-hk",
            readOnly: true,
            doubleData: null,
            displayOrder: 31,
          },
          {
            label: "Chinese - Macau SAR",
            description: null,
            hidden: false,
            value: "zh-mo",
            readOnly: true,
            doubleData: null,
            displayOrder: 32,
          },
          {
            label: "Chinese - Singapore",
            description: null,
            hidden: false,
            value: "zh-sg",
            readOnly: true,
            doubleData: null,
            displayOrder: 33,
          },
          {
            label: "Chinese - Taiwan",
            description: null,
            hidden: false,
            value: "zh-tw",
            readOnly: true,
            doubleData: null,
            displayOrder: 34,
          },
          {
            label: "Chinese (Simplified)",
            description: null,
            hidden: false,
            value: "zh-chs",
            readOnly: true,
            doubleData: null,
            displayOrder: 35,
          },
          {
            label: "Chinese (Traditional)",
            description: null,
            hidden: false,
            value: "zh-cht",
            readOnly: true,
            doubleData: null,
            displayOrder: 36,
          },
          {
            label: "Croatian",
            description: null,
            hidden: false,
            value: "hr",
            readOnly: true,
            doubleData: null,
            displayOrder: 37,
          },
          {
            label: "Croatian - Croatia",
            description: null,
            hidden: false,
            value: "hr-hr",
            readOnly: true,
            doubleData: null,
            displayOrder: 38,
          },
          {
            label: "Czech",
            description: null,
            hidden: false,
            value: "cs",
            readOnly: true,
            doubleData: null,
            displayOrder: 39,
          },
          {
            label: "Czech - Czech Republic",
            description: null,
            hidden: false,
            value: "cs-cz",
            readOnly: true,
            doubleData: null,
            displayOrder: 40,
          },
          {
            label: "Danish",
            description: null,
            hidden: false,
            value: "da",
            readOnly: true,
            doubleData: null,
            displayOrder: 41,
          },
          {
            label: "Danish - Denmark",
            description: null,
            hidden: false,
            value: "da-dk",
            readOnly: true,
            doubleData: null,
            displayOrder: 42,
          },
          {
            label: "Dutch",
            description: null,
            hidden: false,
            value: "nl",
            readOnly: true,
            doubleData: null,
            displayOrder: 43,
          },
          {
            label: "Dutch - Belgium",
            description: null,
            hidden: false,
            value: "nl-be",
            readOnly: true,
            doubleData: null,
            displayOrder: 44,
          },
          {
            label: "Dutch - The Netherlands",
            description: null,
            hidden: false,
            value: "nl-nl",
            readOnly: true,
            doubleData: null,
            displayOrder: 45,
          },
          {
            label: "English",
            description: null,
            hidden: false,
            value: "en",
            readOnly: true,
            doubleData: null,
            displayOrder: 46,
          },
          {
            label: "English - Australia",
            description: null,
            hidden: false,
            value: "en-au",
            readOnly: true,
            doubleData: null,
            displayOrder: 47,
          },
          {
            label: "English - Canada",
            description: null,
            hidden: false,
            value: "en-ca",
            readOnly: true,
            doubleData: null,
            displayOrder: 48,
          },
          {
            label: "English - Hong Kong",
            description: null,
            hidden: false,
            value: "en-hk",
            readOnly: true,
            doubleData: null,
            displayOrder: 49,
          },
          {
            label: "English - India",
            description: null,
            hidden: false,
            value: "en-in",
            readOnly: true,
            doubleData: null,
            displayOrder: 50,
          },
          {
            label: "English - Ireland",
            description: null,
            hidden: false,
            value: "en-ie",
            readOnly: true,
            doubleData: null,
            displayOrder: 51,
          },
          {
            label: "English - Malaysia",
            description: null,
            hidden: false,
            value: "en-my",
            readOnly: true,
            doubleData: null,
            displayOrder: 52,
          },
          {
            label: "English - Malta",
            description: null,
            hidden: false,
            value: "en-mt",
            readOnly: true,
            doubleData: null,
            displayOrder: 53,
          },
          {
            label: "English - New Zealand",
            description: null,
            hidden: false,
            value: "en-nz",
            readOnly: true,
            doubleData: null,
            displayOrder: 54,
          },
          {
            label: "English - Philippines",
            description: null,
            hidden: false,
            value: "en-ph",
            readOnly: true,
            doubleData: null,
            displayOrder: 55,
          },
          {
            label: "English - Singapore",
            description: null,
            hidden: false,
            value: "en-sg",
            readOnly: true,
            doubleData: null,
            displayOrder: 56,
          },
          {
            label: "English - South Africa",
            description: null,
            hidden: false,
            value: "en-za",
            readOnly: true,
            doubleData: null,
            displayOrder: 57,
          },
          {
            label: "English - United Kingdom",
            description: null,
            hidden: false,
            value: "en-gb",
            readOnly: true,
            doubleData: null,
            displayOrder: 58,
          },
          {
            label: "English - United States",
            description: null,
            hidden: false,
            value: "en-us",
            readOnly: true,
            doubleData: null,
            displayOrder: 59,
          },
          {
            label: "English - Zimbabwe",
            description: null,
            hidden: false,
            value: "en-zw",
            readOnly: true,
            doubleData: null,
            displayOrder: 60,
          },
          {
            label: "Estonian",
            description: null,
            hidden: false,
            value: "et",
            readOnly: true,
            doubleData: null,
            displayOrder: 61,
          },
          {
            label: "Estonian - Estonia",
            description: null,
            hidden: false,
            value: "et-ee",
            readOnly: true,
            doubleData: null,
            displayOrder: 62,
          },
          {
            label: "Faroese",
            description: null,
            hidden: false,
            value: "fo",
            readOnly: true,
            doubleData: null,
            displayOrder: 63,
          },
          {
            label: "Farsi",
            description: null,
            hidden: false,
            value: "fa",
            readOnly: true,
            doubleData: null,
            displayOrder: 64,
          },
          {
            label: "Finnish",
            description: null,
            hidden: false,
            value: "fi",
            readOnly: true,
            doubleData: null,
            displayOrder: 65,
          },
          {
            label: "Finnish - Finland",
            description: null,
            hidden: false,
            value: "fi-fi",
            readOnly: true,
            doubleData: null,
            displayOrder: 66,
          },
          {
            label: "French",
            description: null,
            hidden: false,
            value: "fr",
            readOnly: true,
            doubleData: null,
            displayOrder: 67,
          },
          {
            label: "French - Belgium",
            description: null,
            hidden: false,
            value: "fr-be",
            readOnly: true,
            doubleData: null,
            displayOrder: 68,
          },
          {
            label: "French - Canada",
            description: null,
            hidden: false,
            value: "fr-ca",
            readOnly: true,
            doubleData: null,
            displayOrder: 69,
          },
          {
            label: "French - France",
            description: null,
            hidden: false,
            value: "fr-fr",
            readOnly: true,
            doubleData: null,
            displayOrder: 70,
          },
          {
            label: "French - Luxembourg",
            description: null,
            hidden: false,
            value: "fr-lu",
            readOnly: true,
            doubleData: null,
            displayOrder: 71,
          },
          {
            label: "French - Monaco",
            description: null,
            hidden: false,
            value: "fr-mc",
            readOnly: true,
            doubleData: null,
            displayOrder: 72,
          },
          {
            label: "French - Switzerland",
            description: null,
            hidden: false,
            value: "fr-ch",
            readOnly: true,
            doubleData: null,
            displayOrder: 73,
          },
          {
            label: "Galician",
            description: null,
            hidden: false,
            value: "gl",
            readOnly: true,
            doubleData: null,
            displayOrder: 74,
          },
          {
            label: "Georgian",
            description: null,
            hidden: false,
            value: "ka",
            readOnly: true,
            doubleData: null,
            displayOrder: 75,
          },
          {
            label: "German",
            description: null,
            hidden: false,
            value: "de",
            readOnly: true,
            doubleData: null,
            displayOrder: 76,
          },
          {
            label: "German - Austria",
            description: null,
            hidden: false,
            value: "de-at",
            readOnly: true,
            doubleData: null,
            displayOrder: 77,
          },
          {
            label: "German - Germany",
            description: null,
            hidden: false,
            value: "de-de",
            readOnly: true,
            doubleData: null,
            displayOrder: 78,
          },
          {
            label: "German - Greece",
            description: null,
            hidden: false,
            value: "de-gr",
            readOnly: true,
            doubleData: null,
            displayOrder: 79,
          },
          {
            label: "German - Liechtenstein",
            description: null,
            hidden: false,
            value: "de-li",
            readOnly: true,
            doubleData: null,
            displayOrder: 80,
          },
          {
            label: "German - Luxembourg",
            description: null,
            hidden: false,
            value: "de-lu",
            readOnly: true,
            doubleData: null,
            displayOrder: 81,
          },
          {
            label: "German - Switzerland",
            description: null,
            hidden: false,
            value: "de-ch",
            readOnly: true,
            doubleData: null,
            displayOrder: 82,
          },
          {
            label: "Greek",
            description: null,
            hidden: false,
            value: "el",
            readOnly: true,
            doubleData: null,
            displayOrder: 83,
          },
          {
            label: "Greek - Cyprus",
            description: null,
            hidden: false,
            value: "el-cy",
            readOnly: true,
            doubleData: null,
            displayOrder: 84,
          },
          {
            label: "Greek - Greece",
            description: null,
            hidden: false,
            value: "el-gr",
            readOnly: true,
            doubleData: null,
            displayOrder: 85,
          },
          {
            label: "Gujarati",
            description: null,
            hidden: false,
            value: "gu",
            readOnly: true,
            doubleData: null,
            displayOrder: 86,
          },
          {
            label: "Hebrew",
            description: null,
            hidden: false,
            value: "he",
            readOnly: true,
            doubleData: null,
            displayOrder: 87,
          },
          {
            label: "Hebrew - Israel",
            description: null,
            hidden: false,
            value: "iw-il",
            readOnly: true,
            doubleData: null,
            displayOrder: 88,
          },
          {
            label: "Hindi",
            description: null,
            hidden: false,
            value: "hi",
            readOnly: true,
            doubleData: null,
            displayOrder: 89,
          },
          {
            label: "Hindi - India",
            description: null,
            hidden: false,
            value: "hi-in",
            readOnly: true,
            doubleData: null,
            displayOrder: 90,
          },
          {
            label: "Hungarian",
            description: null,
            hidden: false,
            value: "hu",
            readOnly: true,
            doubleData: null,
            displayOrder: 91,
          },
          {
            label: "Hungarian - Hungary",
            description: null,
            hidden: false,
            value: "hu-hu",
            readOnly: true,
            doubleData: null,
            displayOrder: 92,
          },
          {
            label: "Icelandic",
            description: null,
            hidden: false,
            value: "is",
            readOnly: true,
            doubleData: null,
            displayOrder: 93,
          },
          {
            label: "Icelandic - Iceland",
            description: null,
            hidden: false,
            value: "is-is",
            readOnly: true,
            doubleData: null,
            displayOrder: 94,
          },
          {
            label: "Indonesian",
            description: null,
            hidden: false,
            value: "id",
            readOnly: true,
            doubleData: null,
            displayOrder: 95,
          },
          {
            label: "Indonesian - Indonesia",
            description: null,
            hidden: false,
            value: "in-id",
            readOnly: true,
            doubleData: null,
            displayOrder: 96,
          },
          {
            label: "Irish",
            description: null,
            hidden: false,
            value: "ga",
            readOnly: true,
            doubleData: null,
            displayOrder: 97,
          },
          {
            label: "Irish - Ireland",
            description: null,
            hidden: false,
            value: "ga-ie",
            readOnly: true,
            doubleData: null,
            displayOrder: 98,
          },
          {
            label: "Italian",
            description: null,
            hidden: false,
            value: "it",
            readOnly: true,
            doubleData: null,
            displayOrder: 99,
          },
          {
            label: "Italian - Italy",
            description: null,
            hidden: false,
            value: "it-it",
            readOnly: true,
            doubleData: null,
            displayOrder: 100,
          },
          {
            label: "Italian - Switzerland",
            description: null,
            hidden: false,
            value: "it-ch",
            readOnly: true,
            doubleData: null,
            displayOrder: 101,
          },
          {
            label: "Japanese",
            description: null,
            hidden: false,
            value: "ja",
            readOnly: true,
            doubleData: null,
            displayOrder: 102,
          },
          {
            label: "Japanese - Japan",
            description: null,
            hidden: false,
            value: "ja-jp",
            readOnly: true,
            doubleData: null,
            displayOrder: 103,
          },
          {
            label: "Kannada",
            description: null,
            hidden: false,
            value: "kn",
            readOnly: true,
            doubleData: null,
            displayOrder: 104,
          },
          {
            label: "Kazakh kok Konkani",
            description: null,
            hidden: false,
            value: "kk",
            readOnly: true,
            doubleData: null,
            displayOrder: 105,
          },
          {
            label: "Konkani",
            description: null,
            hidden: false,
            value: "kok",
            readOnly: true,
            doubleData: null,
            displayOrder: 106,
          },
          {
            label: "Korean",
            description: null,
            hidden: false,
            value: "ko",
            readOnly: true,
            doubleData: null,
            displayOrder: 107,
          },
          {
            label: "Korean - South Korea",
            description: null,
            hidden: false,
            value: "ko-kr",
            readOnly: true,
            doubleData: null,
            displayOrder: 108,
          },
          {
            label: "Kyrgyz",
            description: null,
            hidden: false,
            value: "ky",
            readOnly: true,
            doubleData: null,
            displayOrder: 109,
          },
          {
            label: "Latvian",
            description: null,
            hidden: false,
            value: "lv",
            readOnly: true,
            doubleData: null,
            displayOrder: 110,
          },
          {
            label: "Latvian - Latvia",
            description: null,
            hidden: false,
            value: "lv-lv",
            readOnly: true,
            doubleData: null,
            displayOrder: 111,
          },
          {
            label: "Lithuanian",
            description: null,
            hidden: false,
            value: "lt",
            readOnly: true,
            doubleData: null,
            displayOrder: 112,
          },
          {
            label: "Lithuanian - Lithuania",
            description: null,
            hidden: false,
            value: "lt-lt",
            readOnly: true,
            doubleData: null,
            displayOrder: 113,
          },
          {
            label: "Macedonian",
            description: null,
            hidden: false,
            value: "mk",
            readOnly: true,
            doubleData: null,
            displayOrder: 114,
          },
          {
            label: "Macedonian - Macedonia",
            description: null,
            hidden: false,
            value: "mk-mk",
            readOnly: true,
            doubleData: null,
            displayOrder: 115,
          },
          {
            label: "Malay",
            description: null,
            hidden: false,
            value: "ms",
            readOnly: true,
            doubleData: null,
            displayOrder: 116,
          },
          {
            label: "Malay - Brunei",
            description: null,
            hidden: false,
            value: "ms-bn",
            readOnly: true,
            doubleData: null,
            displayOrder: 117,
          },
          {
            label: "Malay - Malaysia",
            description: null,
            hidden: false,
            value: "ms-my",
            readOnly: true,
            doubleData: null,
            displayOrder: 118,
          },
          {
            label: "Maltese",
            description: null,
            hidden: false,
            value: "mt",
            readOnly: true,
            doubleData: null,
            displayOrder: 119,
          },
          {
            label: "Maltese - Malta",
            description: null,
            hidden: false,
            value: "mt-mt",
            readOnly: true,
            doubleData: null,
            displayOrder: 120,
          },
          {
            label: "Marathi",
            description: null,
            hidden: false,
            value: "mr",
            readOnly: true,
            doubleData: null,
            displayOrder: 121,
          },
          {
            label: "Mongolian",
            description: null,
            hidden: false,
            value: "mn",
            readOnly: true,
            doubleData: null,
            displayOrder: 122,
          },
          {
            label: "Burmese",
            description: null,
            hidden: false,
            value: "my",
            readOnly: true,
            doubleData: null,
            displayOrder: 123,
          },
          {
            label: "Burmese - Myanmar (Burma)",
            description: null,
            hidden: false,
            value: "my-mm",
            readOnly: true,
            doubleData: null,
            displayOrder: 124,
          },
          {
            label: "Norwegian",
            description: null,
            hidden: false,
            value: "no",
            readOnly: true,
            doubleData: null,
            displayOrder: 125,
          },
          {
            label: "Norwegian Bokmal",
            description: null,
            hidden: false,
            value: "nb",
            readOnly: true,
            doubleData: null,
            displayOrder: 126,
          },
          {
            label: "Norwegian - Norway",
            description: null,
            hidden: false,
            value: "no-no",
            readOnly: true,
            doubleData: null,
            displayOrder: 127,
          },
          {
            label: "Polish",
            description: null,
            hidden: false,
            value: "pl",
            readOnly: true,
            doubleData: null,
            displayOrder: 128,
          },
          {
            label: "Polish - Poland",
            description: null,
            hidden: false,
            value: "pl-pl",
            readOnly: true,
            doubleData: null,
            displayOrder: 129,
          },
          {
            label: "Portuguese",
            description: null,
            hidden: false,
            value: "pt",
            readOnly: true,
            doubleData: null,
            displayOrder: 130,
          },
          {
            label: "Portuguese - Brazil",
            description: null,
            hidden: false,
            value: "pt-br",
            readOnly: true,
            doubleData: null,
            displayOrder: 131,
          },
          {
            label: "Portuguese - Portugal",
            description: null,
            hidden: false,
            value: "pt-pt",
            readOnly: true,
            doubleData: null,
            displayOrder: 132,
          },
          {
            label: "Punjabi",
            description: null,
            hidden: false,
            value: "pa",
            readOnly: true,
            doubleData: null,
            displayOrder: 133,
          },
          {
            label: "Romanian",
            description: null,
            hidden: false,
            value: "ro",
            readOnly: true,
            doubleData: null,
            displayOrder: 134,
          },
          {
            label: "Romanian - Romania",
            description: null,
            hidden: false,
            value: "ro-ro",
            readOnly: true,
            doubleData: null,
            displayOrder: 135,
          },
          {
            label: "Russian",
            description: null,
            hidden: false,
            value: "ru",
            readOnly: true,
            doubleData: null,
            displayOrder: 136,
          },
          {
            label: "Russian - Russia",
            description: null,
            hidden: false,
            value: "ru-ru",
            readOnly: true,
            doubleData: null,
            displayOrder: 137,
          },
          {
            label: "Sanskrit",
            description: null,
            hidden: false,
            value: "sa",
            readOnly: true,
            doubleData: null,
            displayOrder: 138,
          },
          {
            label: "Serbian",
            description: null,
            hidden: false,
            value: "sr",
            readOnly: true,
            doubleData: null,
            displayOrder: 139,
          },
          {
            label: "Serbian - Bosnia and Herzegovina",
            description: null,
            hidden: false,
            value: "sr-ba",
            readOnly: true,
            doubleData: null,
            displayOrder: 140,
          },
          {
            label: "Serbian - Montenegro",
            description: null,
            hidden: false,
            value: "sr-me",
            readOnly: true,
            doubleData: null,
            displayOrder: 141,
          },
          {
            label: "Serbian - Serbia",
            description: null,
            hidden: false,
            value: "sr-rs",
            readOnly: true,
            doubleData: null,
            displayOrder: 142,
          },
          {
            label: "Serbian - Serbia and Montenegro (Former)",
            description: null,
            hidden: false,
            value: "sr-cs",
            readOnly: true,
            doubleData: null,
            displayOrder: 143,
          },
          {
            label: "Slovak",
            description: null,
            hidden: false,
            value: "sk",
            readOnly: true,
            doubleData: null,
            displayOrder: 144,
          },
          {
            label: "Slovak - Slovakia",
            description: null,
            hidden: false,
            value: "sk-sk",
            readOnly: true,
            doubleData: null,
            displayOrder: 145,
          },
          {
            label: "Slovenian",
            description: null,
            hidden: false,
            value: "sl",
            readOnly: true,
            doubleData: null,
            displayOrder: 146,
          },
          {
            label: "Slovenian - Slovenia",
            description: null,
            hidden: false,
            value: "sl-si",
            readOnly: true,
            doubleData: null,
            displayOrder: 147,
          },
          {
            label: "Spanish",
            description: null,
            hidden: false,
            value: "es",
            readOnly: true,
            doubleData: null,
            displayOrder: 148,
          },
          {
            label: "Spanish - Argentina",
            description: null,
            hidden: false,
            value: "es-ar",
            readOnly: true,
            doubleData: null,
            displayOrder: 149,
          },
          {
            label: "Spanish - Bolivia",
            description: null,
            hidden: false,
            value: "es-bo",
            readOnly: true,
            doubleData: null,
            displayOrder: 150,
          },
          {
            label: "Spanish - Chile",
            description: null,
            hidden: false,
            value: "es-cl",
            readOnly: true,
            doubleData: null,
            displayOrder: 151,
          },
          {
            label: "Spanish - Colombia",
            description: null,
            hidden: false,
            value: "es-co",
            readOnly: true,
            doubleData: null,
            displayOrder: 152,
          },
          {
            label: "Spanish - Costa Rica",
            description: null,
            hidden: false,
            value: "es-cr",
            readOnly: true,
            doubleData: null,
            displayOrder: 153,
          },
          {
            label: "Spanish - Cuba",
            description: null,
            hidden: false,
            value: "es-cu",
            readOnly: true,
            doubleData: null,
            displayOrder: 154,
          },
          {
            label: "Spanish - Dominican Republic",
            description: null,
            hidden: false,
            value: "es-do",
            readOnly: true,
            doubleData: null,
            displayOrder: 155,
          },
          {
            label: "Spanish - Ecuador",
            description: null,
            hidden: false,
            value: "es-ec",
            readOnly: true,
            doubleData: null,
            displayOrder: 156,
          },
          {
            label: "Spanish - El Salvador",
            description: null,
            hidden: false,
            value: "es-sv",
            readOnly: true,
            doubleData: null,
            displayOrder: 157,
          },
          {
            label: "Spanish - Guatemala",
            description: null,
            hidden: false,
            value: "es-gt",
            readOnly: true,
            doubleData: null,
            displayOrder: 158,
          },
          {
            label: "Spanish - Honduras",
            description: null,
            hidden: false,
            value: "es-hn",
            readOnly: true,
            doubleData: null,
            displayOrder: 159,
          },
          {
            label: "Spanish - Mexico",
            description: null,
            hidden: false,
            value: "es-mx",
            readOnly: true,
            doubleData: null,
            displayOrder: 160,
          },
          {
            label: "Spanish - Nicaragua",
            description: null,
            hidden: false,
            value: "es-ni",
            readOnly: true,
            doubleData: null,
            displayOrder: 161,
          },
          {
            label: "Spanish - Panama",
            description: null,
            hidden: false,
            value: "es-pa",
            readOnly: true,
            doubleData: null,
            displayOrder: 162,
          },
          {
            label: "Spanish - Paraguay",
            description: null,
            hidden: false,
            value: "es-py",
            readOnly: true,
            doubleData: null,
            displayOrder: 163,
          },
          {
            label: "Spanish - Peru",
            description: null,
            hidden: false,
            value: "es-pe",
            readOnly: true,
            doubleData: null,
            displayOrder: 164,
          },
          {
            label: "Spanish - Puerto Rico",
            description: null,
            hidden: false,
            value: "es-pr",
            readOnly: true,
            doubleData: null,
            displayOrder: 165,
          },
          {
            label: "Spanish - Spain",
            description: null,
            hidden: false,
            value: "es-es",
            readOnly: true,
            doubleData: null,
            displayOrder: 166,
          },
          {
            label: "Spanish - United States",
            description: null,
            hidden: false,
            value: "es-us",
            readOnly: true,
            doubleData: null,
            displayOrder: 167,
          },
          {
            label: "Spanish - Uruguay",
            description: null,
            hidden: false,
            value: "es-uy",
            readOnly: true,
            doubleData: null,
            displayOrder: 168,
          },
          {
            label: "Spanish - Venezuela",
            description: null,
            hidden: false,
            value: "es-ve",
            readOnly: true,
            doubleData: null,
            displayOrder: 169,
          },
          {
            label: "Swahili",
            description: null,
            hidden: false,
            value: "sw",
            readOnly: true,
            doubleData: null,
            displayOrder: 170,
          },
          {
            label: "Swedish",
            description: null,
            hidden: false,
            value: "sv",
            readOnly: true,
            doubleData: null,
            displayOrder: 171,
          },
          {
            label: "Swedish - Finland",
            description: null,
            hidden: false,
            value: "sv-fi",
            readOnly: true,
            doubleData: null,
            displayOrder: 172,
          },
          {
            label: "Swedish - Sweden",
            description: null,
            hidden: false,
            value: "sv-se",
            readOnly: true,
            doubleData: null,
            displayOrder: 173,
          },
          {
            label: "Syriac",
            description: null,
            hidden: false,
            value: "sy",
            readOnly: true,
            doubleData: null,
            displayOrder: 174,
          },
          {
            label: "Tamil",
            description: null,
            hidden: false,
            value: "ta",
            readOnly: true,
            doubleData: null,
            displayOrder: 175,
          },
          {
            label: "Tatar",
            description: null,
            hidden: false,
            value: "tt",
            readOnly: true,
            doubleData: null,
            displayOrder: 176,
          },
          {
            label: "Telugu",
            description: null,
            hidden: false,
            value: "te",
            readOnly: true,
            doubleData: null,
            displayOrder: 177,
          },
          {
            label: "Thai",
            description: null,
            hidden: false,
            value: "th",
            readOnly: true,
            doubleData: null,
            displayOrder: 178,
          },
          {
            label: "Thai - Thailand",
            description: null,
            hidden: false,
            value: "th-th",
            readOnly: true,
            doubleData: null,
            displayOrder: 179,
          },
          {
            label: "Turkish",
            description: null,
            hidden: false,
            value: "tr",
            readOnly: true,
            doubleData: null,
            displayOrder: 180,
          },
          {
            label: "Turkish - Turkey",
            description: null,
            hidden: false,
            value: "tr-tr",
            readOnly: true,
            doubleData: null,
            displayOrder: 181,
          },
          {
            label: "Ukrainian",
            description: null,
            hidden: false,
            value: "uk",
            readOnly: true,
            doubleData: null,
            displayOrder: 182,
          },
          {
            label: "Ukrainian - Ukraine",
            description: null,
            hidden: false,
            value: "uk-ua",
            readOnly: true,
            doubleData: null,
            displayOrder: 183,
          },
          {
            label: "Urdu",
            description: null,
            hidden: false,
            value: "ur",
            readOnly: true,
            doubleData: null,
            displayOrder: 184,
          },
          {
            label: "Vietnamese",
            description: null,
            hidden: false,
            value: "vi",
            readOnly: true,
            doubleData: null,
            displayOrder: 185,
          },
          {
            label: "Vietnamese - Vietnam",
            description: null,
            hidden: false,
            value: "vi-vn",
            readOnly: true,
            doubleData: null,
            displayOrder: 186,
          },
          {
            label: "Bengali",
            description: null,
            hidden: false,
            value: "bn",
            readOnly: true,
            doubleData: null,
            displayOrder: 187,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_first_referrer",
        label: "First Referring Site",
        description:
          "The first website that referred a contact to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 12,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "jobtitle",
        label: "Job Title",
        description: "A contact's job title",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 12,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_last_referrer",
        label: "Last Referring Site",
        description:
          "The last website that referred a contact to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 13,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "message",
        label: "Message",
        description:
          "A default property to be used for any message or comments a contact may want to leave on a form.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "textarea",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 13,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "closedate",
        label: "Close Date",
        description:
          "The date that a contact became a customer. This property is set automatically by HubSpot when a deal or opportunity is marked as closed-won. It can also be set manually or programmatically.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 14,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_average_page_views",
        label: "Average Pageviews",
        description:
          "The average number of pages a contact sees. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 14,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_analytics_revenue",
        label: "Event Revenue",
        description:
          "Event revenue can be set on a contact though HubSpot's enterprise Events. http://help.hubspot.com/articles/KCS_Article/Reports/How-do-I-create-Events-in-HubSpot",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_lead_date",
        label: "Became a Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to Lead. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_marketingqualifiedlead_date",
        label: "Became a Marketing Qualified Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to MQL. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_opportunity_date",
        label: "Became an Opportunity Date",
        description:
          "The date when a contact's lifecycle stage changed to Opportunity. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "lifecyclestage",
        label: "Lifecycle Stage",
        description:
          "The qualification of contacts to sales readiness. It can be set through imports, forms, workflows, and manually on a per contact basis.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "Subscriber",
            description: null,
            hidden: false,
            value: "subscriber",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "Lead",
            description: null,
            hidden: false,
            value: "lead",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "Marketing Qualified Lead",
            description: null,
            hidden: false,
            value: "marketingqualifiedlead",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "Sales Qualified Lead",
            description: null,
            hidden: false,
            value: "salesqualifiedlead",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "Opportunity",
            description: null,
            hidden: false,
            value: "opportunity",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "Customer",
            description: null,
            hidden: false,
            value: "customer",
            readOnly: null,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "Evangelist",
            description: null,
            hidden: false,
            value: "evangelist",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
          {
            label: "Other",
            description: null,
            hidden: false,
            value: "other",
            readOnly: null,
            doubleData: null,
            displayOrder: 7,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_salesqualifiedlead_date",
        label: "Became a Sales Qualified Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to SQL. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 16,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "createdate",
        label: "Create Date",
        description: "The date that a contact entered the system",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 17,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 4,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_evangelist_date",
        label: "Became an Evangelist Date",
        description:
          "The date when a contact's lifecycle stage changed to Evangelist. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 17,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_customer_date",
        label: "Became a Customer Date",
        description:
          "The date when a contact's lifecycle stage changed to Customer. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 18,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hubspotscore",
        label: "HubSpot Score",
        description:
          "The number that shows qualification of contacts to sales readiness. It can be set in HubSpot's Lead Scoring app.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "calculation_score",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 18,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "company",
        label: "Company Name",
        description:
          "The name of the contact's company. This is separate from the Name property of the contact's associated company and can be set independently.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 19,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 5,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_subscriber_date",
        label: "Became a Subscriber Date",
        description:
          "The date when a contact's lifecycle stage changed to Subscriber. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 19,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_lifecyclestage_other_date",
        label: "Became an Other Lifecycle Date",
        description:
          "The date when a contact's lifecycle stage changed to Other. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 20,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "website",
        label: "Website URL",
        description: "The contact's company website",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 20,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 6,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "numemployees",
        label: "Number of Employees",
        description: "The number of company employees",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "1-5",
            description: null,
            hidden: false,
            value: "1-5",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "5-25",
            description: null,
            hidden: false,
            value: "5-25",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "25-50",
            description: null,
            hidden: false,
            value: "25-50",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "50-100",
            description: null,
            hidden: false,
            value: "50-100",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
          {
            label: "100-500",
            description: null,
            hidden: false,
            value: "100-500",
            readOnly: null,
            doubleData: null,
            displayOrder: 4,
          },
          {
            label: "500-1000",
            description: null,
            hidden: false,
            value: "500-1000",
            readOnly: null,
            doubleData: null,
            displayOrder: 5,
          },
          {
            label: "1000+",
            description: null,
            hidden: false,
            value: "1000+",
            readOnly: null,
            doubleData: null,
            displayOrder: 6,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 21,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "annualrevenue",
        label: "Annual Revenue",
        description: "Annual company revenue",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 22,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "industry",
        label: "Industry",
        description: "The industry a contact is in",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 23,
        deleted: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "associatedcompanyid",
        label: "Associated Company ID",
        description:
          "The HubSpot defined ID of a contact's associated company in HubSpot",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: "COMPANY",
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 24,
        deleted: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "associatedcompanylastupdated",
        label: "Associated Company Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when a company is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 25,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_predictivecontactscorebucket",
        label: "Lead Rating",
        description:
          "The rating of this contact based on their predictive lead score",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            label: "1 Star",
            description: null,
            hidden: false,
            value: "bucket_1",
            readOnly: null,
            doubleData: null,
            displayOrder: 0,
          },
          {
            label: "2 Stars",
            description: null,
            hidden: false,
            value: "bucket_2",
            readOnly: null,
            doubleData: null,
            displayOrder: 1,
          },
          {
            label: "3 Stars",
            description: null,
            hidden: false,
            value: "bucket_3",
            readOnly: null,
            doubleData: null,
            displayOrder: 2,
          },
          {
            label: "4 Stars",
            description: null,
            hidden: false,
            value: "bucket_4",
            readOnly: null,
            doubleData: null,
            displayOrder: 3,
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 999,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
      {
        name: "hs_predictivecontactscore",
        label: "Predictive Lead Score",
        description:
          "A score calculated by HubSpot that represents a contact's likelihood to become a customer",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        hasUniqueValue: false,
        referencedObjectType: null,
        createdUserId: null,
        searchableInGlobalSearch: false,
        isCustomizedDefault: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1000,
        deleted: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
      },
    ],
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:09 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Transfer-Encoding",
      "chunked",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=d85d32bc4652e35d86f298c6416a698dc1593119049; expires=Sat, 25-Jul-20 21:04:09 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2B74840E5576759617894AA6A230FE378D480E32C9000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499672",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "99",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee49e790000bb6aebbdf200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3aa5900bb6a-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/integrations/v1/me", {})
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(
    200,
    {
      portalId: 7974676,
      timeZone: "US/Eastern",
      currency: "USD",
      utcOffset: "-04:00",
      utcOffsetMilliseconds: -14400000,
    },
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:09 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Content-Length",
      "116",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=d66df37b370d25f48c1e5831238c1bbda1593119049; expires=Sat, 25-Jul-20 21:04:09 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2BFE71349991DAC61401E00BBD9C3EF6FEB69BBAC963F774DE99885A2201",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499671",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "98",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "Accept-Ranges",
      "bytes",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a000000013a6c7a93200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3accb9113a6-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/properties/v1/contacts/properties", {})
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(
    200,
    [
      {
        name: "company_size",
        label: "Company size",
        description:
          "A contact's company size. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "date_of_birth",
        label: "Date of birth",
        description:
          "A contact's date of birth. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "days_to_close",
        label: "Days To Close",
        description:
          "The days that elapsed from when a contact was created until they closed as a customer. This is set automatically by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "degree",
        label: "Degree",
        description:
          "A contact's degree. This property is required for the Facebook Ads Integration. This property will be automatically synced to via Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "field_of_study",
        label: "Field of study",
        description:
          "A contact's field of study. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "first_conversion_date",
        label: "First Conversion Date",
        description: "The date this contact first submitted a form",
        groupName: "conversioninformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "first_conversion_event_name",
        label: "First Conversion",
        description: "The first form this contact submitted",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "first_deal_created_date",
        label: "First Deal Created Date",
        description:
          "The date the first deal for a contact was created. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "gender",
        label: "Gender",
        description: "",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "graduation_date",
        label: "Graduation date",
        description:
          "A contact's graduation date. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_additional_emails",
        label: "Additional email addresses",
        description: "A set of additional email addresses for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_all_contact_vids",
        label: "All vids for a contact",
        description: "A set of all vids, canonical or otherwise, for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_analytics_first_touch_converting_campaign",
        label: "First Touch Converting Campaign",
        description:
          "The campaign responsible for the first touch creation of this contact",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_analytics_last_touch_converting_campaign",
        label: "Last Touch Converting Campaign",
        description:
          "The campaign responsible for the last touch creation of this contact",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_avatar_filemanager_key",
        label: "Avatar FileManager key",
        description:
          "The path in the FileManager CDN for this contact's avatar override image. Automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_buying_role",
        label: "Buying Role",
        description:
          "The role that a contact plays during the sales process. Contacts can have more than one role, and they can share the same role with another contact.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Blocker",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "BLOCKER",
          },
          {
            description: null,
            hidden: false,
            label: "Budget Holder",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "BUDGET_HOLDER",
          },
          {
            description: null,
            hidden: false,
            label: "Champion",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "CHAMPION",
          },
          {
            description: null,
            hidden: false,
            label: "Decision Maker",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "DECISION_MAKER",
          },
          {
            description: null,
            hidden: false,
            label: "End User",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "END_USER",
          },
          {
            description: null,
            hidden: false,
            label: "Executive Sponsor",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "EXECUTIVE_SPONSOR",
          },
          {
            description: null,
            hidden: false,
            label: "Influencer",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "INFLUENCER",
          },
          {
            description: null,
            hidden: false,
            label: "Legal & Compliance",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "LEGAL_AND_COMPLIANCE",
          },
          {
            description: null,
            hidden: false,
            label: "Other",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "OTHER",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_form_submissions",
        label: "All form submissions for a contact",
        description: "A set of all form submissions for a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_merged_vids",
        label: "Merged vids with timestamps of a contact",
        description: "Merged vids with timestamps of a contact",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_mobile_number",
        label: "Calculated Mobile Number in International Format",
        description: "Mobile number in international format",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_phone_number",
        label: "Calculated Phone Number in International Format",
        description: "Phone number in international format",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_phone_number_area_code",
        label: "Calculated Phone Number Area Code",
        description: "Area Code of the calculated phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_phone_number_country_code",
        label: "Calculated Phone Number Country Code",
        description: "Country code of the calculated phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_calculated_phone_number_region_code",
        label: "Calculated Phone Number Region",
        description: "ISO2 Country code for the derived phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_email_confirmed",
        label: "Email Confirmed",
        description: "Email Confirmation status of user of Content Membership",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_notes",
        label: "Membership Notes",
        description: "The notes relating to the contact's content membership.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "textarea",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_registered_at",
        label: "Registered At",
        description:
          "Datetime at which this user was set up for Content Membership",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_registration_domain_sent_to",
        label: "Domain to which registration email was sent",
        description:
          "Domain to which the registration invitation email for Content Membership was sent to",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_registration_email_sent_at",
        label: "Time registration email was sent",
        description:
          "Datetime at which this user was sent a registration invitation email for Content Membership",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_content_membership_status",
        label: "Status",
        description: "The status of the contact's content membership.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Active",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "active",
          },
          {
            description: null,
            hidden: false,
            label: "Inactive",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "inactive",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_conversations_visitor_email",
        label: "Conversations visitor email",
        description: "A Conversations visitor's email address",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_created_by_conversations",
        label: "Created By Conversations",
        description:
          "Flag indicating this contact was created by the Conversations API",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_created_by_user_id",
        label: "Created by user ID",
        description:
          "The user that created this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_createdate",
        label: "Object create date/time",
        description:
          "The date and time at which this object was created. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_document_last_revisited",
        label: "Recent Document Revisit Date",
        description:
          "The last time a shared document (presentation) was accessed by this contact",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_bad_address",
        label: "Invalid email address",
        description:
          "The email address associated with this contact is invalid.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_domain",
        label: "Email Domain",
        description: "A contact's email address domain",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_hard_bounce_reason",
        label: "Email hard bounce reason",
        description:
          "The issue that caused a contact to hard bounce from your emails. If this is an error or a temporary issue, you can unbounce this contact from the contact record.",
        groupName: "emailinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description:
              "Content in the body or subject of an email triggered a spam filter",
            hidden: false,
            label: "Content",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "CONTENT",
          },
          {
            description: "The recipient's inbox is full or no longer in use",
            hidden: false,
            label: "Mailbox full",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "MAILBOX_FULL",
          },
          {
            description: "An unknown reason caused the contact to hard bounce",
            hidden: false,
            label: "Other",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "OTHER",
          },
          {
            description: "An email violated the recipient’s security policy",
            hidden: false,
            label: "Policy",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "POLICY",
          },
          {
            description:
              "An email was marked as spam by the recipient or their inbox provider",
            hidden: false,
            label: "Spam",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "SPAM",
          },
          {
            description: "A permanent error, such as an unknown email address",
            hidden: false,
            label: "Unknown user",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "UNKNOWN_USER",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_hard_bounce_reason_enum",
        label: "Email hard bounce reason",
        description:
          "The issue that caused a contact to hard bounce from your emails. If this is an error or a temporary issue, you can unbounce this contact from the contact record.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "radio",
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description:
              "Content in the body or subject of an email triggered a spam filter",
            hidden: false,
            label: "Content",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "CONTENT",
          },
          {
            description: "The recipient's inbox is full or no longer in use",
            hidden: false,
            label: "Mailbox full",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "MAILBOX_FULL",
          },
          {
            description: "An unknown reason caused the contact to hard bounce",
            hidden: false,
            label: "Other",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "OTHER",
          },
          {
            description: "An email violated the recipient’s security policy",
            hidden: false,
            label: "Policy",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "POLICY",
          },
          {
            description:
              "An email was marked as spam by the recipient or their inbox provider",
            hidden: false,
            label: "Spam",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "SPAM",
          },
          {
            description: "A permanent error, such as an unknown email address",
            hidden: false,
            label: "Unknown user",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "UNKNOWN_USER",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_quarantined",
        label: "Email Address Quarantined",
        description:
          "Indicates that the current email address has been quarantined for anti-abuse reasons and any marketing email sends to it will be blocked. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_quarantined_reason",
        label: "Email Address Quarantined Reason",
        description:
          "The reason why the email address has been quarantined. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "checkbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Other",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "OTHER",
          },
          {
            description: null,
            hidden: false,
            label: "Suspicious Form Activity",
            doubleData: null,
            readOnly: true,
            displayOrder: -1,
            value: "FORM_ABUSE",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_recipient_fatigue_recovery_time",
        label: "Email Address Recipient Fatigue Next Available Sending Time",
        description:
          "When this recipient has reached the limit of email sends per time period, this property indicates the next available time to send. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_email_sends_since_last_engagement",
        label: "Sends Since Last Engagement",
        description:
          "The number of marketing emails that have been sent to the current email address since the last engagement (open or link click). This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_emailconfirmationstatus",
        label: "Marketing email confirmation status",
        description:
          "The status of a contact's eligibility to receive marketing email. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "",
          },
          {
            description: null,
            hidden: false,
            label: "Confirmed",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "Confirmed",
          },
          {
            description: null,
            hidden: false,
            label: "Confirmation Pending",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "Confirmation Pending",
          },
          {
            description: null,
            hidden: false,
            label: "Confirmation Email Sent",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "Confirmation Email Sent",
          },
          {
            description: null,
            hidden: false,
            label: "User clicked confirmation",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "User clicked confirmation",
          },
          {
            description: null,
            hidden: false,
            label: "HubSpot Rep. marked confirmed",
            doubleData: null,
            readOnly: null,
            displayOrder: 7,
            value: "HubSpot Rep. marked confirmed",
          },
          {
            description: null,
            hidden: false,
            label: "Customer marked confirmed",
            doubleData: null,
            readOnly: null,
            displayOrder: 8,
            value: "Customer marked confirmed",
          },
          {
            description: null,
            hidden: false,
            label: "Confirmed from previous behavior",
            doubleData: null,
            readOnly: null,
            displayOrder: 9,
            value: "Confirmed from previous behavior",
          },
          {
            description: null,
            hidden: false,
            label: "Confirmed due to form",
            doubleData: null,
            readOnly: null,
            displayOrder: 11,
            value: "Confirmed due to form",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_facebook_ad_clicked",
        label: "Clicked Facebook ad",
        description: "Whether contact has clicked a Facebook ad",
        groupName: "conversioninformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_facebook_click_id",
        label: "Facebook click id",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_feedback_last_nps_follow_up",
        label: "Last NPS survey comment",
        description: "Last NPS survey comment that this contact gave",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_feedback_last_nps_rating",
        label: "Last NPS survey rating",
        description: "Last NPS survey rating that this contact gave",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "0",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "0",
          },
          {
            description: null,
            hidden: false,
            label: "1",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "1",
          },
          {
            description: null,
            hidden: false,
            label: "2",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "2",
          },
          {
            description: null,
            hidden: false,
            label: "3",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "3",
          },
          {
            description: null,
            hidden: false,
            label: "4",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "4",
          },
          {
            description: null,
            hidden: false,
            label: "5",
            doubleData: null,
            readOnly: null,
            displayOrder: 5,
            value: "5",
          },
          {
            description: null,
            hidden: false,
            label: "6",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "6",
          },
          {
            description: null,
            hidden: false,
            label: "7",
            doubleData: null,
            readOnly: null,
            displayOrder: 7,
            value: "7",
          },
          {
            description: null,
            hidden: false,
            label: "8",
            doubleData: null,
            readOnly: null,
            displayOrder: 8,
            value: "8",
          },
          {
            description: null,
            hidden: false,
            label: "9",
            doubleData: null,
            readOnly: null,
            displayOrder: 9,
            value: "9",
          },
          {
            description: null,
            hidden: false,
            label: "10",
            doubleData: null,
            readOnly: null,
            displayOrder: 10,
            value: "10",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_feedback_last_survey_date",
        label: "Last NPS survey date",
        description:
          "The time that this contact last submitted a NPS survey response. This is automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_feedback_show_nps_web_survey",
        label: "Should be shown an NPS web survey",
        description:
          "Whether or not a contact should be shown an NPS web survey. This is automatically set by HubSpot.",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_first_engagement_date",
        label: "The first time the contact was engaged.",
        description:
          "Hubspot sets this automatically based on the earliest engagement of the contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_google_click_id",
        label: "Google ad click id",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_ip_timezone",
        label: "IP Timezone",
        description:
          "The timezone reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_is_contact",
        label: "Is a contact",
        description: "Is a contact, has not been deleted and is not a visitor",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "calculation_read_time",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_is_unworked",
        label: "Contact unworked",
        description:
          "Contact has not been assigned or has not been engaged after last owner assignment/re-assignment",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "calculation_equation",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_last_sales_activity_date",
        label: "Last Sales Activity Date",
        description:
          "The date of the last sales activity with the contact. This property is set automatically by HubSpot. Note: This field is only updated for contacts with an owner.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_last_sales_activity_timestamp",
        label: "Last Sales Activity Date",
        description: "The date of the last sales activity with the contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_lastmodifieddate",
        label: "Object last modified date/time",
        description:
          "The date and time at which this object was last modified. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_lead_status",
        label: "Lead Status",
        description: "The contact's sales, prospecting or outreach status",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "New",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "NEW",
          },
          {
            description: null,
            hidden: false,
            label: "Open",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "OPEN",
          },
          {
            description: null,
            hidden: false,
            label: "In Progress",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "IN_PROGRESS",
          },
          {
            description: null,
            hidden: false,
            label: "Open Deal",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "OPEN_DEAL",
          },
          {
            description: null,
            hidden: false,
            label: "Unqualified",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "UNQUALIFIED",
          },
          {
            description: null,
            hidden: false,
            label: "Attempted to Contact",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "ATTEMPTED_TO_CONTACT",
          },
          {
            description: null,
            hidden: false,
            label: "Connected",
            doubleData: null,
            readOnly: null,
            displayOrder: 5,
            value: "CONNECTED",
          },
          {
            description: null,
            hidden: false,
            label: "Bad Timing",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "BAD_TIMING",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_legal_basis",
        label: "Legal basis for processing contact's data",
        description:
          "Legal basis for processing contact's data; 'Not applicable' will exempt the contact from GDPR protections",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        optionsAreMutable: true,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Legitimate interest - prospect/lead",
            doubleData: null,
            readOnly: true,
            displayOrder: 0,
            value: "Legitimate interest – prospect/lead",
          },
          {
            description: null,
            hidden: false,
            label: "Legitimate interest - existing customer",
            doubleData: null,
            readOnly: true,
            displayOrder: 1,
            value: "Legitimate interest – existing customer",
          },
          {
            description: null,
            hidden: false,
            label: "Legitimate interest - other",
            doubleData: null,
            readOnly: true,
            displayOrder: 2,
            value: "Legitimate interest - other",
          },
          {
            description: null,
            hidden: false,
            label: "Performance of a contract",
            doubleData: null,
            readOnly: true,
            displayOrder: 3,
            value: "Performance of a contract",
          },
          {
            description: null,
            hidden: false,
            label: "Freely given consent from contact",
            doubleData: null,
            readOnly: true,
            displayOrder: 4,
            value: "Freely given consent from contact",
          },
          {
            description: null,
            hidden: false,
            label: "Not applicable",
            doubleData: null,
            readOnly: true,
            displayOrder: 5,
            value: "Not applicable",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_merged_object_ids",
        label: "Merged object IDs",
        description:
          "The list of object IDs that have been merged into this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_object_id",
        label: "Contact ID",
        description:
          "The unique ID for this contact. This unique ID is automatically populated by HubSpot and cannot be changed.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_predictivecontactscore_v2",
        label: "Likelihood to close",
        description:
          "The probability that a contact will become a customer within the next 90 days. This score is based on standard contact properties and behavior.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_predictivescoringtier",
        label: "Contact priority",
        description:
          "A ranking system of contacts evenly assigned into four tiers. Contacts in tier one are more likely to become customers than contacts in tier four.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Very High",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "tier_1",
          },
          {
            description: null,
            hidden: false,
            label: "High",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "tier_2",
          },
          {
            description: null,
            hidden: false,
            label: "Medium",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "tier_3",
          },
          {
            description: null,
            hidden: false,
            label: "Low",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "tier_4",
          },
          {
            description: null,
            hidden: false,
            label: "Closed Won",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "closed_won",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_sales_email_last_clicked",
        label: "Recent Sales Email Clicked Date",
        description:
          "The last time a tracked sales email was clicked by this user",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_sales_email_last_opened",
        label: "Recent Sales Email Opened Date",
        description:
          "The last time a tracked sales email was opened by this contact. This property does not update for emails that were sent to more than one contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_searchable_calculated_international_mobile_number",
        label: "Calculated Mobile Number with country code",
        description: "Mobile number with country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_searchable_calculated_international_phone_number",
        label: "Calculated Phone Number with country code",
        description: "Phone number with country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_searchable_calculated_mobile_number",
        label: "Calculated Mobile Number without country code",
        description: "Mobile number without country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_searchable_calculated_phone_number",
        label: "Calculated Phone Number without country code",
        description: "Phone number without country code",
        groupName: "contactinformation",
        type: "phone_number",
        fieldType: "phonenumber",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_sequences_is_enrolled",
        label: "Currently in Sequence",
        description:
          "A yes/no field that indicates whether the contact is currently in a Sequence.",
        groupName: "contactinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_time_to_first_engagement",
        label: "Time to engage contact",
        description:
          "Time it took current owner to do first qualifying engagement (ms).",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: false,
        hubspotDefined: true,
        deleted: false,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_updated_by_user_id",
        label: "Updated by user ID",
        description:
          "The user that last updated this object. This value is automatically set by HubSpot and may not be modified.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hs_user_ids_of_all_owners",
        label: "User IDs of all owners",
        description: "The user IDs of all owners of this object",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "checkbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "hubspot_owner_assigneddate",
        label: "Owner Assigned Date",
        description:
          "The most recent date a HubSpot Owner was assigned to a contact. This is set automatically by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_city",
        label: "IP City",
        description:
          "The city reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_country",
        label: "IP Country",
        description:
          "The country reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_country_code",
        label: "IP Country Code",
        description:
          "The country code reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_latlon",
        label: "IP Latitude & Longitude",
        description: "",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_state",
        label: "IP State/Region",
        description:
          "The state or region reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_state_code",
        label: "IP State Code/Region Code",
        description:
          "The state code or region code reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "ip_zipcode",
        label: "IP Zipcode",
        description:
          "The zipcode reported by a contact's IP address. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "job_function",
        label: "Job function",
        description:
          "A contact's job function. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "lastmodifieddate",
        label: "Last Modified Date",
        description: "The date any property on this contact was modified",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "marital_status",
        label: "Marital Status",
        description:
          "A contact's marital status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "military_status",
        label: "Military status",
        description:
          "A contact's military status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "num_associated_deals",
        label: "Associated Deals",
        description:
          "The number of deals associated with this contact. This is set automatically by HubSpot.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "num_conversion_events",
        label: "Number of Form Submissions",
        description: "The number of forms this contact has submitted",
        groupName: "conversioninformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "num_unique_conversion_events",
        label: "Number of Unique Forms Submitted",
        description: "The number of different forms this contact has submitted",
        groupName: "conversioninformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "recent_conversion_date",
        label: "Recent Conversion Date",
        description: "The date this contact last submitted a form",
        groupName: "conversioninformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "recent_conversion_event_name",
        label: "Recent Conversion",
        description: "The last form this contact submitted",
        groupName: "conversioninformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: true,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "recent_deal_amount",
        label: "Recent Deal Amount",
        description:
          "The amount of the last closed won deal associated with a contact. This is set automatically by HubSpot based on information from the Deals object.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: true,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "currency",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "recent_deal_close_date",
        label: "Recent Deal Close Date",
        description:
          "The date that the last deal associated with a contact was won. This is automatically set by HubSpot based on information from the Deals object.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "relationship_status",
        label: "Relationship Status",
        description:
          "A contact's relationship status. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "school",
        label: "School",
        description:
          "A contact's school. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "seniority",
        label: "Seniority",
        description:
          "A contact's seniority. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "start_date",
        label: "Start date",
        description:
          "A contact's start date. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "total_revenue",
        label: "Total Revenue",
        description:
          "The sum from all closed won deal revenue associated with a contact. This is automatically set by HubSpot and can be used for segmentation and reporting.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: true,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "currency",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "work_email",
        label: "Work email",
        description:
          "A contact's work email. This property is required for the Facebook Ads Integration. This property will be automatically synced via the Lead Ads tool",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: -1,
      },
      {
        name: "firstname",
        label: "First Name",
        description: "A contact's first name",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 0,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
      },
      {
        name: "hs_analytics_first_url",
        label: "First Page Seen",
        description:
          "The first page a contact saw on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
      },
      {
        name: "hs_email_delivered",
        label: "Marketing emails delivered",
        description:
          "The number of marketing emails delivered for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
      },
      {
        name: "hs_email_optout_9714480",
        label: "Opted out of email: Customer Service Communication",
        description:
          "Indicates that the current email address has opted out of this email type.",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: false,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: "",
            hidden: false,
            label: "No",
            doubleData: 0,
            readOnly: false,
            displayOrder: -1,
            value: "false",
          },
          {
            description: "",
            hidden: false,
            label: "Yes",
            doubleData: 0,
            readOnly: false,
            displayOrder: -1,
            value: "true",
          },
        ],
        createdAt: 1593022576761,
        updatedAt: 1593022576761,
        displayOrder: 0,
      },
      {
        name: "twitterhandle",
        label: "Twitter Username",
        description:
          "The contact's Twitter handle. This is set by HubSpot using the contact's email address.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 7,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 0,
      },
      {
        name: "currentlyinworkflow",
        label: "Currently in workflow",
        description: "If the contact is currently enrolled in any workflow",
        groupName: "emailinformation",
        type: "enumeration",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
      },
      {
        name: "hs_analytics_last_url",
        label: "Last Page Seen",
        description:
          "The last page a contact saw on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
      },
      {
        name: "hs_email_open",
        label: "Marketing emails opened",
        description:
          "The number of marketing emails opened for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
      },
      {
        name: "lastname",
        label: "Last Name",
        description: "A contact's last name",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1,
      },
      {
        name: "hs_analytics_num_page_views",
        label: "Number of Pageviews",
        description:
          "The sum of all pages a contact has seen on your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
      },
      {
        name: "hs_email_click",
        label: "Marketing emails clicked",
        description:
          "The number of marketing emails which have had link clicks for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
      },
      {
        name: "salutation",
        label: "Salutation",
        description: "The title used to address a contact",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 2,
      },
      {
        name: "email",
        label: "Email",
        description: "A contact's email address",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 2,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "email",
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
      },
      {
        name: "hs_analytics_num_visits",
        label: "Number of Sessions",
        description:
          "The sum of all sessions a contact has made to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
      },
      {
        name: "hs_email_bounce",
        label: "Marketing emails bounced",
        description:
          "The number of marketing emails that bounced for the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
      },
      {
        name: "hs_persona",
        label: "Persona",
        description: "A contact's persona",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 3,
      },
      {
        name: "hs_analytics_num_event_completions",
        label: "Number of event completions",
        description:
          "The sum of all events a contact has experienced. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
      },
      {
        name: "hs_email_optout",
        label: "Unsubscribed from all email",
        description:
          "Indicates that the current email address has opted out of all email.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
      },
      {
        name: "mobilephone",
        label: "Mobile Phone Number",
        description: "A contact's mobile phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 3,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
      },
      {
        name: "phone",
        label: "Phone Number",
        description: "A contact's primary phone number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 3,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 4,
      },
      {
        name: "fax",
        label: "Fax Number",
        description: "A contact's primary fax number",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: "phone_number",
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
      },
      {
        name: "hs_analytics_first_timestamp",
        label: "Time First Seen",
        description:
          "The first time a contact has been seen. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
      },
      {
        name: "hs_email_last_email_name",
        label: "Last marketing email name",
        description:
          "The name of the last marketing email sent to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
      },
      {
        name: "hs_email_last_send_date",
        label: "Last marketing email send date",
        description:
          "The date of the most recent delivery for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 5,
      },
      {
        name: "address",
        label: "Street Address",
        description:
          "A contact's street address, including apartment or unit #",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "engagements_last_meeting_booked",
        label: "Date of last meeting booked in meetings tool",
        description:
          "The date of the most recent meeting a contact has booked through the meetings tool.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "engagements_last_meeting_booked_campaign",
        label: "Campaign of last booking in meetings tool",
        description:
          "This UTM parameter shows which marketing campaign (e.g. a specific email) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "engagements_last_meeting_booked_medium",
        label: "Medium of last booking in meetings tool",
        description:
          "This UTM parameter shows which channel (e.g. email) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "engagements_last_meeting_booked_source",
        label: "Source of last booking in meetings tool",
        description:
          "This UTM parameter shows which site (e.g. Twitter) referred the contact to the meetings tool for their most recent booking. This property is only populated when you add tracking parameters to your meeting link.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "hs_analytics_first_visit_timestamp",
        label: "Time of First Session",
        description:
          "The first time a contact visited your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "hs_email_last_open_date",
        label: "Last marketing email open date",
        description:
          "The date of the most recent open for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "hs_latest_meeting_activity",
        label: "Latest meeting activity",
        description:
          "The date of the most recent meeting (past or upcoming) logged for, scheduled with, or booked by this contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "hs_sales_email_last_replied",
        label: "Recent Sales Email Replied Date",
        description:
          "The last time a tracked sales email was replied to by this user. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "hubspot_owner_id",
        label: "Contact owner",
        description:
          "The owner of a contact. This can be any HubSpot user or Salesforce integration user, and can be set manually or via Workflows.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: "OWNER",
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "notes_last_contacted",
        label: "Last Contacted",
        description:
          "The last time a call, email, or meeting was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "notes_last_updated",
        label: "Last Activity Date",
        description:
          "The last time a note, call, email, meeting, or task was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "notes_next_activity_date",
        label: "Next Activity Date",
        description:
          "The date of the next upcoming activity for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "num_contacted_notes",
        label: "Number of times contacted",
        description:
          "The number of times a call, email, or meeting was logged for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "num_notes",
        label: "Number of Sales Activities",
        description:
          "The number of sales activities for a contact. This is set automatically by HubSpot based on user actions in the contact record.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "surveymonkeyeventlastupdated",
        label: "SurveyMonkey Event Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when SurveyMonkey information is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "webinareventlastupdated",
        label: "Webinar Event Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when webinar information is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 6,
      },
      {
        name: "city",
        label: "City",
        description: "A contact's city of residence",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
      },
      {
        name: "hs_analytics_last_timestamp",
        label: "Time Last Seen",
        description:
          "The last time and date a contact has viewed a page on your website.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
      },
      {
        name: "hs_email_last_click_date",
        label: "Last marketing email click date",
        description:
          "The date of the most recent link click for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
      },
      {
        name: "hubspot_team_id",
        label: "HubSpot Team",
        description: "The team of the owner of a contact.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 7,
      },
      {
        name: "hs_all_owner_ids",
        label: "All owner ids",
        description:
          "The value of all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
      },
      {
        name: "hs_analytics_last_visit_timestamp",
        label: "Time of Last Session",
        description: "The last time and date a contact visited your website.",
        groupName: "analyticsinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
      },
      {
        name: "hs_email_first_send_date",
        label: "First marketing email send date",
        description:
          "The date of the earliest delivery for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
      },
      {
        name: "state",
        label: "State/Region",
        description:
          "The contact's state of residence. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 8,
      },
      {
        name: "hs_all_team_ids",
        label: "All team ids",
        description:
          "The team ids corresponding to all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
      },
      {
        name: "hs_analytics_source",
        label: "Original Source",
        description:
          "The first known source through which a contact found your website. Source is automatically set by HubSpot, but may be updated manually.",
        groupName: "analyticsinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: false,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Organic Search",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "ORGANIC_SEARCH",
          },
          {
            description: null,
            hidden: false,
            label: "Paid Search",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "PAID_SEARCH",
          },
          {
            description: null,
            hidden: false,
            label: "Email Marketing",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "EMAIL_MARKETING",
          },
          {
            description: null,
            hidden: false,
            label: "Social Media",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "SOCIAL_MEDIA",
          },
          {
            description: null,
            hidden: false,
            label: "Referrals",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "REFERRALS",
          },
          {
            description: null,
            hidden: false,
            label: "Other Campaigns",
            doubleData: null,
            readOnly: null,
            displayOrder: 5,
            value: "OTHER_CAMPAIGNS",
          },
          {
            description: null,
            hidden: false,
            label: "Direct Traffic",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "DIRECT_TRAFFIC",
          },
          {
            description: null,
            hidden: false,
            label: "Offline Sources",
            doubleData: null,
            readOnly: null,
            displayOrder: 7,
            value: "OFFLINE",
          },
          {
            description: null,
            hidden: false,
            label: "Paid Social",
            doubleData: null,
            readOnly: null,
            displayOrder: 8,
            value: "PAID_SOCIAL",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
      },
      {
        name: "hs_email_first_open_date",
        label: "First marketing email open date",
        description:
          "The date of the earliest open for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
      },
      {
        name: "zip",
        label: "Postal Code",
        description:
          "The contact's zip code. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 9,
      },
      {
        name: "country",
        label: "Country/Region",
        description:
          "The contact's country/region of residence. This might be set via import, form, or integration.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
      },
      {
        name: "hs_all_accessible_team_ids",
        label: "All accessible team ids",
        description:
          "The team ids, including up the team hierarchy, corresponding to all owner referencing properties for this object, both default and custom",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: true,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
      },
      {
        name: "hs_analytics_source_data_1",
        label: "Original Source Drill-Down 1",
        description:
          "Additional information about the source through which a contact first found your website. This property is automatically set by HubSpot.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
      },
      {
        name: "hs_email_first_click_date",
        label: "First marketing email click date",
        description:
          "The date of the earliest link click for any marketing email to the current email address. This is automatically set by HubSpot.",
        groupName: "emailinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 10,
      },
      {
        name: "hs_analytics_source_data_2",
        label: "Original Source Drill-Down 2",
        description:
          "Additional information about the source through which a contact first found your website. This property is automatically set by HubSpot.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: "NOT_ANALYZED_TEXT",
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
      },
      {
        name: "hs_email_is_ineligible",
        label: "Is globally ineligible",
        description: "Indicates the contact is globally ineligible for email.",
        groupName: "emailinformation",
        type: "bool",
        fieldType: "booleancheckbox",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [
          {
            description: null,
            hidden: false,
            label: "True",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "true",
          },
          {
            description: null,
            hidden: false,
            label: "False",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "false",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
      },
      {
        name: "hs_language",
        label: "Preferred language",
        description:
          "Set your contact's preferred language for communications. This property can be changed from an import, form, or integration.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Afrikaans",
            doubleData: null,
            readOnly: true,
            displayOrder: 0,
            value: "af",
          },
          {
            description: null,
            hidden: false,
            label: "Albanian",
            doubleData: null,
            readOnly: true,
            displayOrder: 1,
            value: "sq",
          },
          {
            description: null,
            hidden: false,
            label: "Albanian - Albania",
            doubleData: null,
            readOnly: true,
            displayOrder: 2,
            value: "sq-al",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic",
            doubleData: null,
            readOnly: true,
            displayOrder: 3,
            value: "ar",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Algeria",
            doubleData: null,
            readOnly: true,
            displayOrder: 4,
            value: "ar-dz",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Bahrain",
            doubleData: null,
            readOnly: true,
            displayOrder: 5,
            value: "ar-bh",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Egypt",
            doubleData: null,
            readOnly: true,
            displayOrder: 6,
            value: "ar-eg",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Iraq",
            doubleData: null,
            readOnly: true,
            displayOrder: 7,
            value: "ar-iq",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Jordan",
            doubleData: null,
            readOnly: true,
            displayOrder: 8,
            value: "ar-jo",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Kuwait",
            doubleData: null,
            readOnly: true,
            displayOrder: 9,
            value: "ar-kw",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Lebanon",
            doubleData: null,
            readOnly: true,
            displayOrder: 10,
            value: "ar-lb",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Libya",
            doubleData: null,
            readOnly: true,
            displayOrder: 11,
            value: "ar-ly",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Morocco",
            doubleData: null,
            readOnly: true,
            displayOrder: 12,
            value: "ar-ma",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Oman",
            doubleData: null,
            readOnly: true,
            displayOrder: 13,
            value: "ar-om",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Qatar",
            doubleData: null,
            readOnly: true,
            displayOrder: 14,
            value: "ar-qa",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Saudi Arabia",
            doubleData: null,
            readOnly: true,
            displayOrder: 15,
            value: "ar-sa",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Sudan",
            doubleData: null,
            readOnly: true,
            displayOrder: 16,
            value: "ar-sd",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Syria",
            doubleData: null,
            readOnly: true,
            displayOrder: 17,
            value: "ar-sy",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Tunisia",
            doubleData: null,
            readOnly: true,
            displayOrder: 18,
            value: "ar-tn",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - United Arab Emirates",
            doubleData: null,
            readOnly: true,
            displayOrder: 19,
            value: "ar-ae",
          },
          {
            description: null,
            hidden: false,
            label: "Arabic - Yemen",
            doubleData: null,
            readOnly: true,
            displayOrder: 20,
            value: "ar-ye",
          },
          {
            description: null,
            hidden: false,
            label: "Armenian",
            doubleData: null,
            readOnly: true,
            displayOrder: 21,
            value: "hy",
          },
          {
            description: null,
            hidden: false,
            label: "Basque",
            doubleData: null,
            readOnly: true,
            displayOrder: 22,
            value: "eu",
          },
          {
            description: null,
            hidden: false,
            label: "Belarusian",
            doubleData: null,
            readOnly: true,
            displayOrder: 23,
            value: "be",
          },
          {
            description: null,
            hidden: false,
            label: "Belarusian - Belarus",
            doubleData: null,
            readOnly: true,
            displayOrder: 24,
            value: "be-by",
          },
          {
            description: null,
            hidden: false,
            label: "Bulgarian",
            doubleData: null,
            readOnly: true,
            displayOrder: 25,
            value: "bg",
          },
          {
            description: null,
            hidden: false,
            label: "Bulgarian - Bulgaria",
            doubleData: null,
            readOnly: true,
            displayOrder: 26,
            value: "bg-bg",
          },
          {
            description: null,
            hidden: false,
            label: "Catalan",
            doubleData: null,
            readOnly: true,
            displayOrder: 27,
            value: "ca",
          },
          {
            description: null,
            hidden: false,
            label: "Catalan - Catalan",
            doubleData: null,
            readOnly: true,
            displayOrder: 28,
            value: "ca-es",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese",
            doubleData: null,
            readOnly: true,
            displayOrder: 29,
            value: "zh",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese - China",
            doubleData: null,
            readOnly: true,
            displayOrder: 30,
            value: "zh-cn",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese - Hong Kong SAR",
            doubleData: null,
            readOnly: true,
            displayOrder: 31,
            value: "zh-hk",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese - Macau SAR",
            doubleData: null,
            readOnly: true,
            displayOrder: 32,
            value: "zh-mo",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese - Singapore",
            doubleData: null,
            readOnly: true,
            displayOrder: 33,
            value: "zh-sg",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese - Taiwan",
            doubleData: null,
            readOnly: true,
            displayOrder: 34,
            value: "zh-tw",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese (Simplified)",
            doubleData: null,
            readOnly: true,
            displayOrder: 35,
            value: "zh-chs",
          },
          {
            description: null,
            hidden: false,
            label: "Chinese (Traditional)",
            doubleData: null,
            readOnly: true,
            displayOrder: 36,
            value: "zh-cht",
          },
          {
            description: null,
            hidden: false,
            label: "Croatian",
            doubleData: null,
            readOnly: true,
            displayOrder: 37,
            value: "hr",
          },
          {
            description: null,
            hidden: false,
            label: "Croatian - Croatia",
            doubleData: null,
            readOnly: true,
            displayOrder: 38,
            value: "hr-hr",
          },
          {
            description: null,
            hidden: false,
            label: "Czech",
            doubleData: null,
            readOnly: true,
            displayOrder: 39,
            value: "cs",
          },
          {
            description: null,
            hidden: false,
            label: "Czech - Czech Republic",
            doubleData: null,
            readOnly: true,
            displayOrder: 40,
            value: "cs-cz",
          },
          {
            description: null,
            hidden: false,
            label: "Danish",
            doubleData: null,
            readOnly: true,
            displayOrder: 41,
            value: "da",
          },
          {
            description: null,
            hidden: false,
            label: "Danish - Denmark",
            doubleData: null,
            readOnly: true,
            displayOrder: 42,
            value: "da-dk",
          },
          {
            description: null,
            hidden: false,
            label: "Dutch",
            doubleData: null,
            readOnly: true,
            displayOrder: 43,
            value: "nl",
          },
          {
            description: null,
            hidden: false,
            label: "Dutch - Belgium",
            doubleData: null,
            readOnly: true,
            displayOrder: 44,
            value: "nl-be",
          },
          {
            description: null,
            hidden: false,
            label: "Dutch - The Netherlands",
            doubleData: null,
            readOnly: true,
            displayOrder: 45,
            value: "nl-nl",
          },
          {
            description: null,
            hidden: false,
            label: "English",
            doubleData: null,
            readOnly: true,
            displayOrder: 46,
            value: "en",
          },
          {
            description: null,
            hidden: false,
            label: "English - Australia",
            doubleData: null,
            readOnly: true,
            displayOrder: 47,
            value: "en-au",
          },
          {
            description: null,
            hidden: false,
            label: "English - Canada",
            doubleData: null,
            readOnly: true,
            displayOrder: 48,
            value: "en-ca",
          },
          {
            description: null,
            hidden: false,
            label: "English - Hong Kong",
            doubleData: null,
            readOnly: true,
            displayOrder: 49,
            value: "en-hk",
          },
          {
            description: null,
            hidden: false,
            label: "English - India",
            doubleData: null,
            readOnly: true,
            displayOrder: 50,
            value: "en-in",
          },
          {
            description: null,
            hidden: false,
            label: "English - Ireland",
            doubleData: null,
            readOnly: true,
            displayOrder: 51,
            value: "en-ie",
          },
          {
            description: null,
            hidden: false,
            label: "English - Malaysia",
            doubleData: null,
            readOnly: true,
            displayOrder: 52,
            value: "en-my",
          },
          {
            description: null,
            hidden: false,
            label: "English - Malta",
            doubleData: null,
            readOnly: true,
            displayOrder: 53,
            value: "en-mt",
          },
          {
            description: null,
            hidden: false,
            label: "English - New Zealand",
            doubleData: null,
            readOnly: true,
            displayOrder: 54,
            value: "en-nz",
          },
          {
            description: null,
            hidden: false,
            label: "English - Philippines",
            doubleData: null,
            readOnly: true,
            displayOrder: 55,
            value: "en-ph",
          },
          {
            description: null,
            hidden: false,
            label: "English - Singapore",
            doubleData: null,
            readOnly: true,
            displayOrder: 56,
            value: "en-sg",
          },
          {
            description: null,
            hidden: false,
            label: "English - South Africa",
            doubleData: null,
            readOnly: true,
            displayOrder: 57,
            value: "en-za",
          },
          {
            description: null,
            hidden: false,
            label: "English - United Kingdom",
            doubleData: null,
            readOnly: true,
            displayOrder: 58,
            value: "en-gb",
          },
          {
            description: null,
            hidden: false,
            label: "English - United States",
            doubleData: null,
            readOnly: true,
            displayOrder: 59,
            value: "en-us",
          },
          {
            description: null,
            hidden: false,
            label: "English - Zimbabwe",
            doubleData: null,
            readOnly: true,
            displayOrder: 60,
            value: "en-zw",
          },
          {
            description: null,
            hidden: false,
            label: "Estonian",
            doubleData: null,
            readOnly: true,
            displayOrder: 61,
            value: "et",
          },
          {
            description: null,
            hidden: false,
            label: "Estonian - Estonia",
            doubleData: null,
            readOnly: true,
            displayOrder: 62,
            value: "et-ee",
          },
          {
            description: null,
            hidden: false,
            label: "Faroese",
            doubleData: null,
            readOnly: true,
            displayOrder: 63,
            value: "fo",
          },
          {
            description: null,
            hidden: false,
            label: "Farsi",
            doubleData: null,
            readOnly: true,
            displayOrder: 64,
            value: "fa",
          },
          {
            description: null,
            hidden: false,
            label: "Finnish",
            doubleData: null,
            readOnly: true,
            displayOrder: 65,
            value: "fi",
          },
          {
            description: null,
            hidden: false,
            label: "Finnish - Finland",
            doubleData: null,
            readOnly: true,
            displayOrder: 66,
            value: "fi-fi",
          },
          {
            description: null,
            hidden: false,
            label: "French",
            doubleData: null,
            readOnly: true,
            displayOrder: 67,
            value: "fr",
          },
          {
            description: null,
            hidden: false,
            label: "French - Belgium",
            doubleData: null,
            readOnly: true,
            displayOrder: 68,
            value: "fr-be",
          },
          {
            description: null,
            hidden: false,
            label: "French - Canada",
            doubleData: null,
            readOnly: true,
            displayOrder: 69,
            value: "fr-ca",
          },
          {
            description: null,
            hidden: false,
            label: "French - France",
            doubleData: null,
            readOnly: true,
            displayOrder: 70,
            value: "fr-fr",
          },
          {
            description: null,
            hidden: false,
            label: "French - Luxembourg",
            doubleData: null,
            readOnly: true,
            displayOrder: 71,
            value: "fr-lu",
          },
          {
            description: null,
            hidden: false,
            label: "French - Monaco",
            doubleData: null,
            readOnly: true,
            displayOrder: 72,
            value: "fr-mc",
          },
          {
            description: null,
            hidden: false,
            label: "French - Switzerland",
            doubleData: null,
            readOnly: true,
            displayOrder: 73,
            value: "fr-ch",
          },
          {
            description: null,
            hidden: false,
            label: "Galician",
            doubleData: null,
            readOnly: true,
            displayOrder: 74,
            value: "gl",
          },
          {
            description: null,
            hidden: false,
            label: "Georgian",
            doubleData: null,
            readOnly: true,
            displayOrder: 75,
            value: "ka",
          },
          {
            description: null,
            hidden: false,
            label: "German",
            doubleData: null,
            readOnly: true,
            displayOrder: 76,
            value: "de",
          },
          {
            description: null,
            hidden: false,
            label: "German - Austria",
            doubleData: null,
            readOnly: true,
            displayOrder: 77,
            value: "de-at",
          },
          {
            description: null,
            hidden: false,
            label: "German - Germany",
            doubleData: null,
            readOnly: true,
            displayOrder: 78,
            value: "de-de",
          },
          {
            description: null,
            hidden: false,
            label: "German - Greece",
            doubleData: null,
            readOnly: true,
            displayOrder: 79,
            value: "de-gr",
          },
          {
            description: null,
            hidden: false,
            label: "German - Liechtenstein",
            doubleData: null,
            readOnly: true,
            displayOrder: 80,
            value: "de-li",
          },
          {
            description: null,
            hidden: false,
            label: "German - Luxembourg",
            doubleData: null,
            readOnly: true,
            displayOrder: 81,
            value: "de-lu",
          },
          {
            description: null,
            hidden: false,
            label: "German - Switzerland",
            doubleData: null,
            readOnly: true,
            displayOrder: 82,
            value: "de-ch",
          },
          {
            description: null,
            hidden: false,
            label: "Greek",
            doubleData: null,
            readOnly: true,
            displayOrder: 83,
            value: "el",
          },
          {
            description: null,
            hidden: false,
            label: "Greek - Cyprus",
            doubleData: null,
            readOnly: true,
            displayOrder: 84,
            value: "el-cy",
          },
          {
            description: null,
            hidden: false,
            label: "Greek - Greece",
            doubleData: null,
            readOnly: true,
            displayOrder: 85,
            value: "el-gr",
          },
          {
            description: null,
            hidden: false,
            label: "Gujarati",
            doubleData: null,
            readOnly: true,
            displayOrder: 86,
            value: "gu",
          },
          {
            description: null,
            hidden: false,
            label: "Hebrew",
            doubleData: null,
            readOnly: true,
            displayOrder: 87,
            value: "he",
          },
          {
            description: null,
            hidden: false,
            label: "Hebrew - Israel",
            doubleData: null,
            readOnly: true,
            displayOrder: 88,
            value: "iw-il",
          },
          {
            description: null,
            hidden: false,
            label: "Hindi",
            doubleData: null,
            readOnly: true,
            displayOrder: 89,
            value: "hi",
          },
          {
            description: null,
            hidden: false,
            label: "Hindi - India",
            doubleData: null,
            readOnly: true,
            displayOrder: 90,
            value: "hi-in",
          },
          {
            description: null,
            hidden: false,
            label: "Hungarian",
            doubleData: null,
            readOnly: true,
            displayOrder: 91,
            value: "hu",
          },
          {
            description: null,
            hidden: false,
            label: "Hungarian - Hungary",
            doubleData: null,
            readOnly: true,
            displayOrder: 92,
            value: "hu-hu",
          },
          {
            description: null,
            hidden: false,
            label: "Icelandic",
            doubleData: null,
            readOnly: true,
            displayOrder: 93,
            value: "is",
          },
          {
            description: null,
            hidden: false,
            label: "Icelandic - Iceland",
            doubleData: null,
            readOnly: true,
            displayOrder: 94,
            value: "is-is",
          },
          {
            description: null,
            hidden: false,
            label: "Indonesian",
            doubleData: null,
            readOnly: true,
            displayOrder: 95,
            value: "id",
          },
          {
            description: null,
            hidden: false,
            label: "Indonesian - Indonesia",
            doubleData: null,
            readOnly: true,
            displayOrder: 96,
            value: "in-id",
          },
          {
            description: null,
            hidden: false,
            label: "Irish",
            doubleData: null,
            readOnly: true,
            displayOrder: 97,
            value: "ga",
          },
          {
            description: null,
            hidden: false,
            label: "Irish - Ireland",
            doubleData: null,
            readOnly: true,
            displayOrder: 98,
            value: "ga-ie",
          },
          {
            description: null,
            hidden: false,
            label: "Italian",
            doubleData: null,
            readOnly: true,
            displayOrder: 99,
            value: "it",
          },
          {
            description: null,
            hidden: false,
            label: "Italian - Italy",
            doubleData: null,
            readOnly: true,
            displayOrder: 100,
            value: "it-it",
          },
          {
            description: null,
            hidden: false,
            label: "Italian - Switzerland",
            doubleData: null,
            readOnly: true,
            displayOrder: 101,
            value: "it-ch",
          },
          {
            description: null,
            hidden: false,
            label: "Japanese",
            doubleData: null,
            readOnly: true,
            displayOrder: 102,
            value: "ja",
          },
          {
            description: null,
            hidden: false,
            label: "Japanese - Japan",
            doubleData: null,
            readOnly: true,
            displayOrder: 103,
            value: "ja-jp",
          },
          {
            description: null,
            hidden: false,
            label: "Kannada",
            doubleData: null,
            readOnly: true,
            displayOrder: 104,
            value: "kn",
          },
          {
            description: null,
            hidden: false,
            label: "Kazakh kok Konkani",
            doubleData: null,
            readOnly: true,
            displayOrder: 105,
            value: "kk",
          },
          {
            description: null,
            hidden: false,
            label: "Konkani",
            doubleData: null,
            readOnly: true,
            displayOrder: 106,
            value: "kok",
          },
          {
            description: null,
            hidden: false,
            label: "Korean",
            doubleData: null,
            readOnly: true,
            displayOrder: 107,
            value: "ko",
          },
          {
            description: null,
            hidden: false,
            label: "Korean - South Korea",
            doubleData: null,
            readOnly: true,
            displayOrder: 108,
            value: "ko-kr",
          },
          {
            description: null,
            hidden: false,
            label: "Kyrgyz",
            doubleData: null,
            readOnly: true,
            displayOrder: 109,
            value: "ky",
          },
          {
            description: null,
            hidden: false,
            label: "Latvian",
            doubleData: null,
            readOnly: true,
            displayOrder: 110,
            value: "lv",
          },
          {
            description: null,
            hidden: false,
            label: "Latvian - Latvia",
            doubleData: null,
            readOnly: true,
            displayOrder: 111,
            value: "lv-lv",
          },
          {
            description: null,
            hidden: false,
            label: "Lithuanian",
            doubleData: null,
            readOnly: true,
            displayOrder: 112,
            value: "lt",
          },
          {
            description: null,
            hidden: false,
            label: "Lithuanian - Lithuania",
            doubleData: null,
            readOnly: true,
            displayOrder: 113,
            value: "lt-lt",
          },
          {
            description: null,
            hidden: false,
            label: "Macedonian",
            doubleData: null,
            readOnly: true,
            displayOrder: 114,
            value: "mk",
          },
          {
            description: null,
            hidden: false,
            label: "Macedonian - Macedonia",
            doubleData: null,
            readOnly: true,
            displayOrder: 115,
            value: "mk-mk",
          },
          {
            description: null,
            hidden: false,
            label: "Malay",
            doubleData: null,
            readOnly: true,
            displayOrder: 116,
            value: "ms",
          },
          {
            description: null,
            hidden: false,
            label: "Malay - Brunei",
            doubleData: null,
            readOnly: true,
            displayOrder: 117,
            value: "ms-bn",
          },
          {
            description: null,
            hidden: false,
            label: "Malay - Malaysia",
            doubleData: null,
            readOnly: true,
            displayOrder: 118,
            value: "ms-my",
          },
          {
            description: null,
            hidden: false,
            label: "Maltese",
            doubleData: null,
            readOnly: true,
            displayOrder: 119,
            value: "mt",
          },
          {
            description: null,
            hidden: false,
            label: "Maltese - Malta",
            doubleData: null,
            readOnly: true,
            displayOrder: 120,
            value: "mt-mt",
          },
          {
            description: null,
            hidden: false,
            label: "Marathi",
            doubleData: null,
            readOnly: true,
            displayOrder: 121,
            value: "mr",
          },
          {
            description: null,
            hidden: false,
            label: "Mongolian",
            doubleData: null,
            readOnly: true,
            displayOrder: 122,
            value: "mn",
          },
          {
            description: null,
            hidden: false,
            label: "Burmese",
            doubleData: null,
            readOnly: true,
            displayOrder: 123,
            value: "my",
          },
          {
            description: null,
            hidden: false,
            label: "Burmese - Myanmar (Burma)",
            doubleData: null,
            readOnly: true,
            displayOrder: 124,
            value: "my-mm",
          },
          {
            description: null,
            hidden: false,
            label: "Norwegian",
            doubleData: null,
            readOnly: true,
            displayOrder: 125,
            value: "no",
          },
          {
            description: null,
            hidden: false,
            label: "Norwegian Bokmal",
            doubleData: null,
            readOnly: true,
            displayOrder: 126,
            value: "nb",
          },
          {
            description: null,
            hidden: false,
            label: "Norwegian - Norway",
            doubleData: null,
            readOnly: true,
            displayOrder: 127,
            value: "no-no",
          },
          {
            description: null,
            hidden: false,
            label: "Polish",
            doubleData: null,
            readOnly: true,
            displayOrder: 128,
            value: "pl",
          },
          {
            description: null,
            hidden: false,
            label: "Polish - Poland",
            doubleData: null,
            readOnly: true,
            displayOrder: 129,
            value: "pl-pl",
          },
          {
            description: null,
            hidden: false,
            label: "Portuguese",
            doubleData: null,
            readOnly: true,
            displayOrder: 130,
            value: "pt",
          },
          {
            description: null,
            hidden: false,
            label: "Portuguese - Brazil",
            doubleData: null,
            readOnly: true,
            displayOrder: 131,
            value: "pt-br",
          },
          {
            description: null,
            hidden: false,
            label: "Portuguese - Portugal",
            doubleData: null,
            readOnly: true,
            displayOrder: 132,
            value: "pt-pt",
          },
          {
            description: null,
            hidden: false,
            label: "Punjabi",
            doubleData: null,
            readOnly: true,
            displayOrder: 133,
            value: "pa",
          },
          {
            description: null,
            hidden: false,
            label: "Romanian",
            doubleData: null,
            readOnly: true,
            displayOrder: 134,
            value: "ro",
          },
          {
            description: null,
            hidden: false,
            label: "Romanian - Romania",
            doubleData: null,
            readOnly: true,
            displayOrder: 135,
            value: "ro-ro",
          },
          {
            description: null,
            hidden: false,
            label: "Russian",
            doubleData: null,
            readOnly: true,
            displayOrder: 136,
            value: "ru",
          },
          {
            description: null,
            hidden: false,
            label: "Russian - Russia",
            doubleData: null,
            readOnly: true,
            displayOrder: 137,
            value: "ru-ru",
          },
          {
            description: null,
            hidden: false,
            label: "Sanskrit",
            doubleData: null,
            readOnly: true,
            displayOrder: 138,
            value: "sa",
          },
          {
            description: null,
            hidden: false,
            label: "Serbian",
            doubleData: null,
            readOnly: true,
            displayOrder: 139,
            value: "sr",
          },
          {
            description: null,
            hidden: false,
            label: "Serbian - Bosnia and Herzegovina",
            doubleData: null,
            readOnly: true,
            displayOrder: 140,
            value: "sr-ba",
          },
          {
            description: null,
            hidden: false,
            label: "Serbian - Montenegro",
            doubleData: null,
            readOnly: true,
            displayOrder: 141,
            value: "sr-me",
          },
          {
            description: null,
            hidden: false,
            label: "Serbian - Serbia",
            doubleData: null,
            readOnly: true,
            displayOrder: 142,
            value: "sr-rs",
          },
          {
            description: null,
            hidden: false,
            label: "Serbian - Serbia and Montenegro (Former)",
            doubleData: null,
            readOnly: true,
            displayOrder: 143,
            value: "sr-cs",
          },
          {
            description: null,
            hidden: false,
            label: "Slovak",
            doubleData: null,
            readOnly: true,
            displayOrder: 144,
            value: "sk",
          },
          {
            description: null,
            hidden: false,
            label: "Slovak - Slovakia",
            doubleData: null,
            readOnly: true,
            displayOrder: 145,
            value: "sk-sk",
          },
          {
            description: null,
            hidden: false,
            label: "Slovenian",
            doubleData: null,
            readOnly: true,
            displayOrder: 146,
            value: "sl",
          },
          {
            description: null,
            hidden: false,
            label: "Slovenian - Slovenia",
            doubleData: null,
            readOnly: true,
            displayOrder: 147,
            value: "sl-si",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish",
            doubleData: null,
            readOnly: true,
            displayOrder: 148,
            value: "es",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Argentina",
            doubleData: null,
            readOnly: true,
            displayOrder: 149,
            value: "es-ar",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Bolivia",
            doubleData: null,
            readOnly: true,
            displayOrder: 150,
            value: "es-bo",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Chile",
            doubleData: null,
            readOnly: true,
            displayOrder: 151,
            value: "es-cl",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Colombia",
            doubleData: null,
            readOnly: true,
            displayOrder: 152,
            value: "es-co",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Costa Rica",
            doubleData: null,
            readOnly: true,
            displayOrder: 153,
            value: "es-cr",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Cuba",
            doubleData: null,
            readOnly: true,
            displayOrder: 154,
            value: "es-cu",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Dominican Republic",
            doubleData: null,
            readOnly: true,
            displayOrder: 155,
            value: "es-do",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Ecuador",
            doubleData: null,
            readOnly: true,
            displayOrder: 156,
            value: "es-ec",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - El Salvador",
            doubleData: null,
            readOnly: true,
            displayOrder: 157,
            value: "es-sv",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Guatemala",
            doubleData: null,
            readOnly: true,
            displayOrder: 158,
            value: "es-gt",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Honduras",
            doubleData: null,
            readOnly: true,
            displayOrder: 159,
            value: "es-hn",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Mexico",
            doubleData: null,
            readOnly: true,
            displayOrder: 160,
            value: "es-mx",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Nicaragua",
            doubleData: null,
            readOnly: true,
            displayOrder: 161,
            value: "es-ni",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Panama",
            doubleData: null,
            readOnly: true,
            displayOrder: 162,
            value: "es-pa",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Paraguay",
            doubleData: null,
            readOnly: true,
            displayOrder: 163,
            value: "es-py",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Peru",
            doubleData: null,
            readOnly: true,
            displayOrder: 164,
            value: "es-pe",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Puerto Rico",
            doubleData: null,
            readOnly: true,
            displayOrder: 165,
            value: "es-pr",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Spain",
            doubleData: null,
            readOnly: true,
            displayOrder: 166,
            value: "es-es",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - United States",
            doubleData: null,
            readOnly: true,
            displayOrder: 167,
            value: "es-us",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Uruguay",
            doubleData: null,
            readOnly: true,
            displayOrder: 168,
            value: "es-uy",
          },
          {
            description: null,
            hidden: false,
            label: "Spanish - Venezuela",
            doubleData: null,
            readOnly: true,
            displayOrder: 169,
            value: "es-ve",
          },
          {
            description: null,
            hidden: false,
            label: "Swahili",
            doubleData: null,
            readOnly: true,
            displayOrder: 170,
            value: "sw",
          },
          {
            description: null,
            hidden: false,
            label: "Swedish",
            doubleData: null,
            readOnly: true,
            displayOrder: 171,
            value: "sv",
          },
          {
            description: null,
            hidden: false,
            label: "Swedish - Finland",
            doubleData: null,
            readOnly: true,
            displayOrder: 172,
            value: "sv-fi",
          },
          {
            description: null,
            hidden: false,
            label: "Swedish - Sweden",
            doubleData: null,
            readOnly: true,
            displayOrder: 173,
            value: "sv-se",
          },
          {
            description: null,
            hidden: false,
            label: "Syriac",
            doubleData: null,
            readOnly: true,
            displayOrder: 174,
            value: "sy",
          },
          {
            description: null,
            hidden: false,
            label: "Tamil",
            doubleData: null,
            readOnly: true,
            displayOrder: 175,
            value: "ta",
          },
          {
            description: null,
            hidden: false,
            label: "Tatar",
            doubleData: null,
            readOnly: true,
            displayOrder: 176,
            value: "tt",
          },
          {
            description: null,
            hidden: false,
            label: "Telugu",
            doubleData: null,
            readOnly: true,
            displayOrder: 177,
            value: "te",
          },
          {
            description: null,
            hidden: false,
            label: "Thai",
            doubleData: null,
            readOnly: true,
            displayOrder: 178,
            value: "th",
          },
          {
            description: null,
            hidden: false,
            label: "Thai - Thailand",
            doubleData: null,
            readOnly: true,
            displayOrder: 179,
            value: "th-th",
          },
          {
            description: null,
            hidden: false,
            label: "Turkish",
            doubleData: null,
            readOnly: true,
            displayOrder: 180,
            value: "tr",
          },
          {
            description: null,
            hidden: false,
            label: "Turkish - Turkey",
            doubleData: null,
            readOnly: true,
            displayOrder: 181,
            value: "tr-tr",
          },
          {
            description: null,
            hidden: false,
            label: "Ukrainian",
            doubleData: null,
            readOnly: true,
            displayOrder: 182,
            value: "uk",
          },
          {
            description: null,
            hidden: false,
            label: "Ukrainian - Ukraine",
            doubleData: null,
            readOnly: true,
            displayOrder: 183,
            value: "uk-ua",
          },
          {
            description: null,
            hidden: false,
            label: "Urdu",
            doubleData: null,
            readOnly: true,
            displayOrder: 184,
            value: "ur",
          },
          {
            description: null,
            hidden: false,
            label: "Vietnamese",
            doubleData: null,
            readOnly: true,
            displayOrder: 185,
            value: "vi",
          },
          {
            description: null,
            hidden: false,
            label: "Vietnamese - Vietnam",
            doubleData: null,
            readOnly: true,
            displayOrder: 186,
            value: "vi-vn",
          },
          {
            description: null,
            hidden: false,
            label: "Bengali",
            doubleData: null,
            readOnly: true,
            displayOrder: 187,
            value: "bn",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 11,
      },
      {
        name: "hs_analytics_first_referrer",
        label: "First Referring Site",
        description:
          "The first website that referred a contact to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 12,
      },
      {
        name: "jobtitle",
        label: "Job Title",
        description: "A contact's job title",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 12,
      },
      {
        name: "hs_analytics_last_referrer",
        label: "Last Referring Site",
        description:
          "The last website that referred a contact to your website. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 13,
      },
      {
        name: "message",
        label: "Message",
        description:
          "A default property to be used for any message or comments a contact may want to leave on a form.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "textarea",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 13,
      },
      {
        name: "closedate",
        label: "Close Date",
        description:
          "The date that a contact became a customer. This property is set automatically by HubSpot when a deal or opportunity is marked as closed-won. It can also be set manually or programmatically.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 14,
      },
      {
        name: "hs_analytics_average_page_views",
        label: "Average Pageviews",
        description:
          "The average number of pages a contact sees. This is automatically set by HubSpot for each contact.",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 14,
      },
      {
        name: "hs_analytics_revenue",
        label: "Event Revenue",
        description:
          "Event revenue can be set on a contact though HubSpot's enterprise Events. http://help.hubspot.com/articles/KCS_Article/Reports/How-do-I-create-Events-in-HubSpot",
        groupName: "analyticsinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
      },
      {
        name: "hs_lifecyclestage_lead_date",
        label: "Became a Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to Lead. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
      },
      {
        name: "hs_lifecyclestage_marketingqualifiedlead_date",
        label: "Became a Marketing Qualified Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to MQL. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
      },
      {
        name: "hs_lifecyclestage_opportunity_date",
        label: "Became an Opportunity Date",
        description:
          "The date when a contact's lifecycle stage changed to Opportunity. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
      },
      {
        name: "lifecyclestage",
        label: "Lifecycle Stage",
        description:
          "The qualification of contacts to sales readiness. It can be set through imports, forms, workflows, and manually on a per contact basis.",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "Subscriber",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "subscriber",
          },
          {
            description: null,
            hidden: false,
            label: "Lead",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "lead",
          },
          {
            description: null,
            hidden: false,
            label: "Marketing Qualified Lead",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "marketingqualifiedlead",
          },
          {
            description: null,
            hidden: false,
            label: "Sales Qualified Lead",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "salesqualifiedlead",
          },
          {
            description: null,
            hidden: false,
            label: "Opportunity",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "opportunity",
          },
          {
            description: null,
            hidden: false,
            label: "Customer",
            doubleData: null,
            readOnly: null,
            displayOrder: 5,
            value: "customer",
          },
          {
            description: null,
            hidden: false,
            label: "Evangelist",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "evangelist",
          },
          {
            description: null,
            hidden: false,
            label: "Other",
            doubleData: null,
            readOnly: null,
            displayOrder: 7,
            value: "other",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 15,
      },
      {
        name: "hs_lifecyclestage_salesqualifiedlead_date",
        label: "Became a Sales Qualified Lead Date",
        description:
          "The date when a contact's lifecycle stage changed to SQL. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 16,
      },
      {
        name: "createdate",
        label: "Create Date",
        description: "The date that a contact entered the system",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 4,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 17,
      },
      {
        name: "hs_lifecyclestage_evangelist_date",
        label: "Became an Evangelist Date",
        description:
          "The date when a contact's lifecycle stage changed to Evangelist. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 17,
      },
      {
        name: "hs_lifecyclestage_customer_date",
        label: "Became a Customer Date",
        description:
          "The date when a contact's lifecycle stage changed to Customer. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 18,
      },
      {
        name: "hubspotscore",
        label: "HubSpot Score",
        description:
          "The number that shows qualification of contacts to sales readiness. It can be set in HubSpot's Lead Scoring app.",
        groupName: "contactinformation",
        type: "number",
        fieldType: "calculation_score",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 18,
      },
      {
        name: "company",
        label: "Company Name",
        description:
          "The name of the contact's company. This is separate from the Name property of the contact's associated company and can be set independently.",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 5,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 19,
      },
      {
        name: "hs_lifecyclestage_subscriber_date",
        label: "Became a Subscriber Date",
        description:
          "The date when a contact's lifecycle stage changed to Subscriber. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 19,
      },
      {
        name: "hs_lifecyclestage_other_date",
        label: "Became an Other Lifecycle Date",
        description:
          "The date when a contact's lifecycle stage changed to Other. This is automatically set by HubSpot for each contact.",
        groupName: "contactinformation",
        type: "datetime",
        fieldType: "date",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 20,
      },
      {
        name: "website",
        label: "Website URL",
        description: "The contact's company website",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: true,
        favoritedOrder: 6,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 20,
      },
      {
        name: "numemployees",
        label: "Number of Employees",
        description: "The number of company employees",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "select",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "1-5",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "1-5",
          },
          {
            description: null,
            hidden: false,
            label: "5-25",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "5-25",
          },
          {
            description: null,
            hidden: false,
            label: "25-50",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "25-50",
          },
          {
            description: null,
            hidden: false,
            label: "50-100",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "50-100",
          },
          {
            description: null,
            hidden: false,
            label: "100-500",
            doubleData: null,
            readOnly: null,
            displayOrder: 4,
            value: "100-500",
          },
          {
            description: null,
            hidden: false,
            label: "500-1000",
            doubleData: null,
            readOnly: null,
            displayOrder: 5,
            value: "500-1000",
          },
          {
            description: null,
            hidden: false,
            label: "1000+",
            doubleData: null,
            readOnly: null,
            displayOrder: 6,
            value: "1000+",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 21,
      },
      {
        name: "annualrevenue",
        label: "Annual Revenue",
        description: "Annual company revenue",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 22,
      },
      {
        name: "industry",
        label: "Industry",
        description: "The industry a contact is in",
        groupName: "contactinformation",
        type: "string",
        fieldType: "text",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: true,
        readOnlyValue: false,
        readOnlyDefinition: false,
        mutableDefinitionNotDeletable: true,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 23,
      },
      {
        name: "associatedcompanyid",
        label: "Associated Company ID",
        description:
          "The HubSpot defined ID of a contact's associated company in HubSpot",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: false,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: "COMPANY",
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: "unformatted",
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 24,
      },
      {
        name: "associatedcompanylastupdated",
        label: "Associated Company Last Updated",
        description:
          "This field is meaningless on its own, and is solely used for triggering dynamic list updates when a company is updated",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: true,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 25,
      },
      {
        name: "hs_predictivecontactscorebucket",
        label: "Lead Rating",
        description:
          "The rating of this contact based on their predictive lead score",
        groupName: "contactinformation",
        type: "enumeration",
        fieldType: "radio",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [
          {
            description: null,
            hidden: false,
            label: "1 Star",
            doubleData: null,
            readOnly: null,
            displayOrder: 0,
            value: "bucket_1",
          },
          {
            description: null,
            hidden: false,
            label: "2 Stars",
            doubleData: null,
            readOnly: null,
            displayOrder: 1,
            value: "bucket_2",
          },
          {
            description: null,
            hidden: false,
            label: "3 Stars",
            doubleData: null,
            readOnly: null,
            displayOrder: 2,
            value: "bucket_3",
          },
          {
            description: null,
            hidden: false,
            label: "4 Stars",
            doubleData: null,
            readOnly: null,
            displayOrder: 3,
            value: "bucket_4",
          },
        ],
        createdAt: null,
        updatedAt: null,
        displayOrder: 999,
      },
      {
        name: "hs_predictivecontactscore",
        label: "Predictive Lead Score",
        description:
          "A score calculated by HubSpot that represents a contact's likelihood to become a customer",
        groupName: "contactinformation",
        type: "number",
        fieldType: "number",
        optionsAreMutable: null,
        searchTextAnalysisMode: null,
        formField: false,
        readOnlyValue: true,
        readOnlyDefinition: true,
        mutableDefinitionNotDeletable: false,
        favorited: false,
        favoritedOrder: -1,
        calculated: false,
        externalOptions: false,
        displayMode: "current_value",
        showCurrencySymbol: null,
        hubspotDefined: true,
        deleted: null,
        referencedObjectType: null,
        hasUniqueValue: false,
        createdUserId: null,
        searchableInGlobalSearch: false,
        optionSortStrategy: null,
        numberDisplayHint: null,
        textDisplayHint: null,
        currencyPropertyName: null,
        isCustomizedDefault: false,
        updatedUserId: null,
        hidden: false,
        options: [],
        createdAt: null,
        updatedAt: null,
        displayOrder: 1000,
      },
    ],
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:10 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Transfer-Encoding",
      "chunked",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=d00d38d3cb51a5cd39a73e5ffbb0e14d11593119050; expires=Sat, 25-Jul-20 21:04:10 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2BCF099BF741637CC027F82922E46D57BE3BA85068000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499670",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "97",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a13b0000f5692a88e200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3aece48f569-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/contacts/v1/contact/email/luigi@grouparoo.com/profile", {})
  .query({
    propertyMode: "value_only",
    formSubmissionMode: "none",
    hapikey: "xxxxxxxxxxxxxxxxx",
  })
  .reply(
    200,
    {
      vid: 1101,
      "canonical-vid": 1101,
      "merged-vids": [],
      "portal-id": 7974676,
      "is-contact": true,
      "profile-token":
        "AO_T-mNSM5HxY-LFE0q3LKDkVDZ3d2rBsrfYhs7XcjSAeURh5z7Z8SCoQRKdRBcO0yL1ETONxvLRf-HyMVNpPEwJNhpt15sPZXGOyT9yOx3xwtPhCmsvvHO1s5qklEJv_UWOjOCxOEh8",
      "profile-url": "https://app.hubspot.com/contacts/7974676/contact/1101",
      properties: {
        hs_is_unworked: { value: "true" },
        firstname: { value: "Luigi" },
        num_unique_conversion_events: { value: "0" },
        hs_analytics_revenue: { value: "0.0" },
        hs_social_num_broadcast_clicks: { value: "0" },
        createdate: { value: "1593118606931" },
        hs_analytics_num_visits: { value: "0" },
        hs_social_linkedin_clicks: { value: "0" },
        hs_analytics_source: { value: "OFFLINE" },
        hs_email_domain: { value: "grouparoo.com" },
        hs_analytics_num_page_views: { value: "0" },
        email: { value: "luigi@grouparoo.com" },
        lastmodifieddate: { value: "1593118651962" },
        hs_analytics_first_timestamp: { value: "1593118606931" },
        hs_social_google_plus_clicks: { value: "0" },
        hs_lifecyclestage_subscriber_date: { value: "1593118606931" },
        hs_analytics_average_page_views: { value: "0" },
        lastname: { value: "Mario" },
        hs_social_facebook_clicks: { value: "0" },
        hs_predictivescoringtier: { value: "tier_1" },
        hs_is_contact: { value: "true" },
        hs_predictivecontactscore_v2: { value: "2.73" },
        num_conversion_events: { value: "0" },
        hs_object_id: { value: "1101" },
        hs_analytics_num_event_completions: { value: "0" },
        hs_social_twitter_clicks: { value: "0" },
        hs_analytics_source_data_1: { value: "API" },
        lifecyclestage: { value: "subscriber" },
      },
      "list-memberships": [
        {
          "static-list-id": 13,
          "internal-list-id": 13,
          timestamp: 1593118608812,
          vid: 1101,
          "is-member": true,
        },
      ],
      "identity-profiles": [
        {
          vid: 1101,
          "saved-at-timestamp": 1593118606973,
          "deleted-changed-timestamp": 0,
          identities: [
            {
              type: "EMAIL",
              value: "luigi@grouparoo.com",
              timestamp: 1593118606931,
              "is-primary": true,
            },
            {
              type: "LEAD_GUID",
              value: "3506e2ab-eec0-431e-ba5d-4356295d5323",
              timestamp: 1593118606968,
            },
          ],
        },
      ],
      "merge-audits": [],
    },
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:10 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Transfer-Encoding",
      "chunked",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=ddfd18ac5d7462b59452b30908bcc53bf1593119050; expires=Sat, 25-Jul-20 21:04:10 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2BB39F7A4D3DF0E1590C3E80732507FC0E1C284FF2000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499669",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "96",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a3530000c98d02195200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3b21f92c98d-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .post("/contacts/v1/contact/createOrUpdate/email/luigi@grouparoo.com/", {
    properties: [
      { property: "email", value: "luigi@grouparoo.com" },
      { property: "firstname", value: "Luigi" },
      { property: "lastname", value: "Mario" },
    ],
  })
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(200, { vid: 1101, isNew: false }, [
    "Date",
    "Thu, 25 Jun 2020 21:04:11 GMT",
    "Content-Type",
    "application/json;charset=utf-8",
    "Content-Length",
    "26",
    "Connection",
    "close",
    "Set-Cookie",
    "__cfduid=d92392c9a00f431c546377d4da0909b7e1593119050; expires=Sat, 25-Jul-20 21:04:10 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
    "X-Trace",
    "2B78DF35189A2C752273532FA57FD9339AEE0306E3000000000000000000",
    "X-HubSpot-RateLimit-Daily",
    "500000",
    "X-HubSpot-RateLimit-Daily-Remaining",
    "499668",
    "X-HubSpot-RateLimit-Interval-Milliseconds",
    "10000",
    "X-HubSpot-RateLimit-Remaining",
    "95",
    "X-HubSpot-RateLimit-Max",
    "100",
    "X-HubSpot-RateLimit-Secondly",
    "10",
    "X-HubSpot-RateLimit-Secondly-Remaining",
    "9",
    "Vary",
    "Accept-Encoding",
    "Access-Control-Allow-Credentials",
    "false",
    "Accept-Ranges",
    "bytes",
    "CF-Cache-Status",
    "DYNAMIC",
    "cf-request-id",
    "038ee4a4c00000c9a9fe120200000001",
    "Expect-CT",
    'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
    "Strict-Transport-Security",
    "max-age=31536000; includeSubDomains; preload",
    "Server",
    "cloudflare",
    "CF-RAY",
    "5a91a3b46927c9a9-SEA",
  ]);

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .post("/contacts/v1/contact/createOrUpdate/email/luigi@grouparoo.com/", {
    properties: [
      { property: "email", value: "luigi@grouparoo.com" },
      { property: "lastname", value: "Mario" },
      { property: "firstname", value: "Luigi" },
    ],
  })
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(200, { vid: 1101, isNew: false }, [
    "Date",
    "Thu, 25 Jun 2020 21:04:11 GMT",
    "Content-Type",
    "application/json;charset=utf-8",
    "Content-Length",
    "26",
    "Connection",
    "close",
    "Set-Cookie",
    "__cfduid=d92392c9a00f431c546377d4da0909b7e1593119050; expires=Sat, 25-Jul-20 21:04:10 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
    "X-Trace",
    "2B78DF35189A2C752273532FA57FD9339AEE0306E3000000000000000000",
    "X-HubSpot-RateLimit-Daily",
    "500000",
    "X-HubSpot-RateLimit-Daily-Remaining",
    "499668",
    "X-HubSpot-RateLimit-Interval-Milliseconds",
    "10000",
    "X-HubSpot-RateLimit-Remaining",
    "95",
    "X-HubSpot-RateLimit-Max",
    "100",
    "X-HubSpot-RateLimit-Secondly",
    "10",
    "X-HubSpot-RateLimit-Secondly-Remaining",
    "9",
    "Vary",
    "Accept-Encoding",
    "Access-Control-Allow-Credentials",
    "false",
    "Accept-Ranges",
    "bytes",
    "CF-Cache-Status",
    "DYNAMIC",
    "cf-request-id",
    "038ee4a4c00000c9a9fe120200000001",
    "Expect-CT",
    'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
    "Strict-Transport-Security",
    "max-age=31536000; includeSubDomains; preload",
    "Server",
    "cloudflare",
    "CF-RAY",
    "5a91a3b46927c9a9-SEA",
  ]);

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/contacts/v1/lists/static")
  .query({ hapikey: "xxxxxxxxxxxxxxxxx", count: "999" })
  .reply(
    200,
    {
      offset: 250,
      lists: [
        {
          portalId: 7974676,
          listId: 8,
          internalListId: 8,
          createdAt: 1593056690330,
          updatedAt: 1593056690330,
          name: "Event Purchasers",
          listType: "STATIC",
          filters: [],
          metaData: {
            size: 10,
            lastSizeChangeAt: 1593057818506,
            processing: "DONE",
            lastProcessingStateChangeAt: 1593056690330,
            error: "",
            listReferencesCount: null,
            parentFolderId: null,
          },
          archived: false,
          teamIds: [],
          dynamic: false,
        },
        {
          portalId: 7974676,
          listId: 9,
          internalListId: 9,
          createdAt: 1593056766408,
          updatedAt: 1593056766408,
          name: "Recent Purchasers",
          listType: "STATIC",
          filters: [],
          metaData: {
            size: 10,
            lastSizeChangeAt: 1593057818742,
            processing: "DONE",
            lastProcessingStateChangeAt: 1593056766408,
            error: "",
            listReferencesCount: null,
            parentFolderId: null,
          },
          archived: false,
          teamIds: [],
          dynamic: false,
        },
        {
          portalId: 7974676,
          listId: 10,
          internalListId: 10,
          createdAt: 1593057026067,
          updatedAt: 1593057026067,
          name: "Low LTV",
          listType: "STATIC",
          filters: [],
          metaData: {
            size: 2,
            lastSizeChangeAt: 1593057030700,
            processing: "DONE",
            lastProcessingStateChangeAt: 1593057026067,
            error: "",
            listReferencesCount: null,
            parentFolderId: null,
          },
          archived: false,
          teamIds: [],
          dynamic: false,
        },
        {
          portalId: 7974676,
          listId: 12,
          internalListId: 12,
          createdAt: 1593057540202,
          updatedAt: 1593057540202,
          name: "High LTV",
          listType: "STATIC",
          filters: [],
          metaData: {
            size: 0,
            lastSizeChangeAt: 1593057922634,
            processing: "DONE",
            lastProcessingStateChangeAt: 1593057540202,
            error: "",
            listReferencesCount: null,
            parentFolderId: null,
          },
          archived: false,
          teamIds: [],
          dynamic: false,
        },
        {
          portalId: 7974676,
          listId: 13,
          internalListId: 13,
          createdAt: 1593118608250,
          updatedAt: 1593118608250,
          name: "hubspot people",
          listType: "STATIC",
          filters: [],
          metaData: {
            size: 1,
            lastSizeChangeAt: 1593118608883,
            processing: "DONE",
            lastProcessingStateChangeAt: 1593118608250,
            error: "",
            listReferencesCount: null,
            parentFolderId: null,
          },
          archived: false,
          teamIds: [],
          dynamic: false,
        },
      ],
      "has-more": false,
    },
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:11 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Transfer-Encoding",
      "chunked",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=da2bd193ee1608dafa1bdfdf7cca6f2af1593119051; expires=Sat, 25-Jul-20 21:04:11 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2BA537EB18F9DEF1E01BE05D5A2D2EDAE43C0FCA69000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499667",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "94",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a5ef000013be3fa7e200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3b64f9a13be-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .post("/contacts/v1/lists/13/add", { emails: ["luigi@grouparoo.com"] })
  .query({ hapikey: "xxxxxxxxxxxxxxxxx" })
  .reply(
    200,
    { updated: [], discarded: [1101], invalidVids: [], invalidEmails: [] },
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:11 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Content-Length",
      "69",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=de03fe20c8e9a6bf38118d6f231ccc1d11593119051; expires=Sat, 25-Jul-20 21:04:11 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2B2267B6C56F040DBF46EB6A6AAB783D59092FDDA8000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499666",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "93",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "Accept-Ranges",
      "bytes",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a76d0000e382e39cc200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3b8affde382-SEA",
    ]
  );

nock("https://api.hubapi.com:443", { encodedQueryParams: true })
  .get("/contacts/v1/contact/email/luigi@grouparoo.com/profile", {})
  .query({
    propertyMode: "value_only",
    formSubmissionMode: "none",
    hapikey: "xxxxxxxxxxxxxxxxx",
  })
  .reply(
    200,
    {
      vid: 1101,
      "canonical-vid": 1101,
      "merged-vids": [],
      "portal-id": 7974676,
      "is-contact": true,
      "profile-token":
        "AO_T-mMnPwQBKaUvGoAMnZUCm4bexEGqTmoqnoQncYL5-sOd_-dYK_wYZFli3pLtzGlFinQ0ChhwzgaW0rjwqeIkUVo6isUal7NrM1QjhQiiljCYBo9qBLOjCrK9xspTo-IuxhD7y_BA",
      "profile-url": "https://app.hubspot.com/contacts/7974676/contact/1101",
      properties: {
        hs_is_unworked: { value: "true" },
        firstname: { value: "Luigi" },
        num_unique_conversion_events: { value: "0" },
        hs_analytics_revenue: { value: "0.0" },
        hs_social_num_broadcast_clicks: { value: "0" },
        createdate: { value: "1593118606931" },
        hs_analytics_num_visits: { value: "0" },
        hs_social_linkedin_clicks: { value: "0" },
        hs_analytics_source: { value: "OFFLINE" },
        hs_email_domain: { value: "grouparoo.com" },
        hs_analytics_num_page_views: { value: "0" },
        email: { value: "luigi@grouparoo.com" },
        lastmodifieddate: { value: "1593118651962" },
        hs_analytics_first_timestamp: { value: "1593118606931" },
        hs_social_google_plus_clicks: { value: "0" },
        hs_lifecyclestage_subscriber_date: { value: "1593118606931" },
        hs_analytics_average_page_views: { value: "0" },
        lastname: { value: "Mario" },
        hs_social_facebook_clicks: { value: "0" },
        hs_predictivescoringtier: { value: "tier_1" },
        hs_is_contact: { value: "true" },
        hs_predictivecontactscore_v2: { value: "2.73" },
        num_conversion_events: { value: "0" },
        hs_object_id: { value: "1101" },
        hs_analytics_num_event_completions: { value: "0" },
        hs_social_twitter_clicks: { value: "0" },
        hs_analytics_source_data_1: { value: "API" },
        lifecyclestage: { value: "subscriber" },
      },
      "list-memberships": [
        {
          "static-list-id": 13,
          "internal-list-id": 13,
          timestamp: 1593118608812,
          vid: 1101,
          "is-member": true,
        },
      ],
      "identity-profiles": [
        {
          vid: 1101,
          "saved-at-timestamp": 1593118606973,
          "deleted-changed-timestamp": 0,
          identities: [
            {
              type: "EMAIL",
              value: "luigi@grouparoo.com",
              timestamp: 1593118606931,
              "is-primary": true,
            },
            {
              type: "LEAD_GUID",
              value: "3506e2ab-eec0-431e-ba5d-4356295d5323",
              timestamp: 1593118606968,
            },
          ],
        },
      ],
      "merge-audits": [],
    },
    [
      "Date",
      "Thu, 25 Jun 2020 21:04:12 GMT",
      "Content-Type",
      "application/json;charset=utf-8",
      "Transfer-Encoding",
      "chunked",
      "Connection",
      "close",
      "Set-Cookie",
      "__cfduid=dbc52270f7a27ca02a4c9ba2ec43db65c1593119051; expires=Sat, 25-Jul-20 21:04:11 GMT; path=/; domain=.hubapi.com; HttpOnly; SameSite=Lax",
      "X-Trace",
      "2BB7BD23BFCCE65019A672E351C886A8DB4E7FB468000000000000000000",
      "X-HubSpot-RateLimit-Daily",
      "500000",
      "X-HubSpot-RateLimit-Daily-Remaining",
      "499665",
      "X-HubSpot-RateLimit-Interval-Milliseconds",
      "10000",
      "X-HubSpot-RateLimit-Remaining",
      "92",
      "X-HubSpot-RateLimit-Max",
      "100",
      "X-HubSpot-RateLimit-Secondly",
      "10",
      "X-HubSpot-RateLimit-Secondly-Remaining",
      "9",
      "Vary",
      "Accept-Encoding",
      "Access-Control-Allow-Credentials",
      "false",
      "CF-Cache-Status",
      "DYNAMIC",
      "cf-request-id",
      "038ee4a8bd0000f59582216200000001",
      "Expect-CT",
      'max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"',
      "Strict-Transport-Security",
      "max-age=31536000; includeSubDomains; preload",
      "Server",
      "cloudflare",
      "CF-RAY",
      "5a91a3bac84af595-SEA",
    ]
  );
